﻿<%@ page language="C#" autoeventwireup="true" inherits="_Default, App_Web_kj893aaw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>GeoEnviron WEB - Tømning af spildevandstanke</title>
    <link rel="SHORTCUT ICON" href="GEIcon.ico" />
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptMain_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptAddress_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWait_v116.js"></script>

    <script language="javascript" type="text/javascript">

    //Google map
    var map;

    function DisplayIcons(values)
    {
        map.clearOverlays();

        var message = new Array();
        message = values.split('$');
        
        if(message[0] == 0)
        {
            map.setCenter(new GLatLng(56, 10.4), 6);
            return;
        }
    
        //Icons
        var iconPathArray = new Array();
        iconPathArray[0] = 'Icons/house.png';
        iconPathArray[1] = 'Icons/tank.png';

        var markerArray = new Array();

        for(var i = 0; i < iconPathArray.length; i++)
        {
            var myGIcon = new GIcon(G_DEFAULT_ICON);
            myGIcon.image = iconPathArray[i];
            markerArray[i] = { icon:myGIcon };
        }

        // Creates a marker at the given point
        // Clicking the marker will hide it
        function createMarker(latlng, number, msg, marker)
        {
            var marker = new GMarker(latlng, marker);
            marker.value = number;
            GEvent.addListener(marker,"click", function() { map.openInfoWindowHtml(latlng, msg); });
            return marker;
        }

        //Ractangle for computing map center and zoom level.
        var bounds = new GLatLngBounds();
        
        // Put messages on map
        for (var i = 0; i < message[0]; i++)
        {
            var split = message[i + 1].split('£');
            var id = split[0];
            var longitude = split[1]; //X
            var latitude = split[2]; //Y
            var msg = split[3];
            var icon = split[4];
            
            var marker = markerArray[icon];
        
            var latlng = new GLatLng(latitude, longitude);
            bounds.extend(latlng);
            map.addOverlay(createMarker(latlng, id, msg, marker));
        }

        var zoomLevel = map.getBoundsZoomLevel(bounds) - 1;

        if(zoomLevel > 18)
        {
            zoomLevel = 18;
        }

        map.setCenter(bounds.getCenter(), zoomLevel);
    }

    function initialize()
    {
        if (GBrowserIsCompatible())
        {
            //Map
            map = new GMap2(document.getElementById("map_canvas"));
            map.setCenter(new GLatLng(56, 10.4), 5);
            map.setUIToDefault();

            map.removeMapType(G_NORMAL_MAP);
            map.removeMapType(G_SATELLITE_MAP);
            map.addMapType(G_SATELLITE_MAP);
            map.addMapType(G_NORMAL_MAP);
            map.addControl(new GMapTypeControl());
        }
    }
    
    
    //Callback
    
    var callbackSend = 0;

    function GetCallBackTest()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetCallBackTest:";
            var context = new Object();
            context.CommandName = "GetCallBackTest";
            <%=_callbackstr %>
        }    
    }

    function SetCallBackTest(result)
    {
        alert(result);
    }

    function GetAddresses(value)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetAddresses:" + value;
            var context = new Object();
            context.CommandName = "GetAddresses";
            <%=_callbackstr %>
        }    
    }

    function SetAddresses(result)
    {
        var dropDown = document.getElementById('SelectAddress');
        dropDown.options.length = 0;
        var split = result.split('\t');
        var count = 1;
        
        for(var i = 0; i < split[0]; i++)
        {
            AddDropDownListItem(dropDown, split[count], split[count + 1]);
            count += 2;
        }
        
        if(split[0] > 0)
        {
            if(split[0] < 3)
            {
                dropDown.size = 2;
            }
            else if(split[0] > 4)
            {
                dropDown.size = 5;
            }
            else
            {
                dropDown.size = split[0];
            }

            dropDown.style.display = 'block';
        }
        else
        {
            dropDown.style.display = 'none';
        }
    }

    function GetSpecificAddress(value)
    {
        GetTank(value);
    }
    
    function GetTank(value)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetTank:" + value;
            var context = new Object();
            context.CommandName = "GetTank";
            <%=_callbackstr %>
        }    
    }
    
    function SetTank(result)
    {
        var split = result.split('\t');
    
        document.getElementById('div_tank').innerHTML = split[0];
        document.getElementById('div_week').innerHTML = split[1];
        DisplayIcons(split[2]);

        document.getElementById('div_firmName').innerHTML = split[3];
        document.getElementById('div_firmAddress').innerHTML = split[4];
        document.getElementById('div_firmZipTown').innerHTML = split[5];
        document.getElementById('div_firmPhone').innerHTML = split[6];
        document.getElementById('div_firmEmail').innerHTML = split[7];
        
        document.getElementById('div_reportNewTank').style.display = 'none';
        document.getElementById('a_reportNewTank').style.display = 'block';
    }
        
    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetCallBackTest": SetCallBackTest(result); break;
            case "GetAddresses": SetAddresses(result); break;
            case "GetTank": SetTank(result); break;
        }
    }

    function OnError(message, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
        alert("Exception :\n" + message);
    }
    
    function OnLoad()
    {
        if(document.getElementById('div_main').style.display == 'block')
        {
            document.getElementById('TextBox_Address').focus();
        }
    }
    
    </script>

</head>
<body onload="initialize(); OnLoad()" onunload="GUnload()">
    <form id="form1" runat="server">
    <div id="div_error" runat="server" style="display:none;"></div>
    <div id="div_main" runat="server" style="left: 0px; position: absolute; top: 0px; display:block;">

        <div>
        <!-- hole Page start -->

            <div class="backgroundColor" style="min-width:360px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; border-top: gray 1px solid; padding-right: 0px; padding-left: 10px; padding-bottom: 6px; padding-top: 4px; margin:10px; margin-bottom:0px;">
            <!-- main Page start -->

                <div style="float:left; width:360px;">

                    <!-- Adresse -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:48px; padding-left: 2px;">Adresse</div>
                    <div style="float:left; width:290px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:338px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 2px; margin-bottom: 4px;">

                        <div class="label" style="height:28px; padding-top:3px;">
                            Indtast din adresse og få vist dine tanke og hvornår de tømmes.
                        </div>

                        <div class="label" style="float:left; width:56px; padding-top:7px; height: 18px;">
                            Adresse:
                        </div>
                        <div style="float:left; width:278px; height: 20px; padding-top: 5px;">
                            <asp:TextBox ID="TextBox_Address" runat="server" Width="268px" CssClass="textBox" AutoCompleteType="Disabled" MaxLength="80" onkeydown="TextAddressKeyDown(this, event)"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />

                    </div>

                    <!-- Tanke på adresse -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:104px; padding-left: 2px;">Tanke på adresse</div>
                    <div style="float:left; width:234px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:338px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 2px; margin-bottom: 4px;">

                        <div style="float:left; width:80px; height: 15px; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                            Tank nr.
                        </div>
                        <div style="float:left; width:150px; height: 15px; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                            Type
                        </div>
                        <div style="float:left; width:70px; height: 15px; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                            Sidst tømt
                        </div>
                        <br style="clear:both;" />
                
                        <div id="div_tank" style="width:326px; height:57px; border:solid 1px #7f9db9; margin-top:4px; overflow:auto;">
                        </div>

                    </div>
                    
                    <!-- Tømning -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:52px; padding-left: 2px;">Tømning</div>
                    <div style="float:left; width:286px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:338px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 2px; margin-bottom: 4px;">

                        <div style="width:310px; height: 15px; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                            Tømning af tank(e) foretages i følgende uge-interval
                        </div>

                        <div id="div_week" style="width:326px; height:57px; border:solid 1px #7f9db9; margin-top:4px; overflow:auto;">
                        </div>

                    </div>

                    <!-- Tømningsfirma -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:88px; padding-left: 2px;">Tømningsfirma</div>
                    <div style="float:left; width:250px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:338px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 2px; margin-bottom: 4px;">

                        <div class="labelReadOnly" style="float:left; width:70px; height:18px; padding-top:3px;">
                            Navn:
                        </div>
                        <div id="div_firmName" class="textReadOnly" style="float:left; width:260px; height:18px; padding-top:3px;">
                        </div>
                        <br style="clear:both;" />

                        <div class="labelReadOnly" style="float:left; width:70px; height:18px; padding-top:3px;">
                            Adresse:
                        </div>
                        <div id="div_firmAddress" class="textReadOnly" style="float:left; width:260px; height:18px; padding-top:3px;">
                        </div>
                        <br style="clear:both;" />

                        <div class="labelReadOnly" style="float:left; width:70px; height:18px; padding-top:3px;">
                            Postnr./by:
                        </div>
                        <div id="div_firmZipTown" class="textReadOnly" style="float:left; width:260px; height:18px; padding-top:3px;">
                        </div>
                        <br style="clear:both;" />

                        <div class="labelReadOnly" style="float:left; width:70px; height:18px; padding-top:3px;">
                            Tlf.:
                        </div>
                        <div id="div_firmPhone" class="textReadOnly" style="float:left; width:260px; height:18px; padding-top:3px;">
                        </div>
                        <br style="clear:both;" />

                        <div class="labelReadOnly" style="float:left; width:70px; height:18px; padding-top:3px;">
                            E-mail:
                        </div>
                        <div id="div_firmEmail" class="textReadOnly" style="float:left; width:260px; height:18px; padding-top:3px;">
                        </div>
                        <br style="clear:both;" />

                    </div>

                    <div id="div_reportNewTank" style="padding-top:3px; height:22px; display:block;">
                        <div style="float:left; font-size:11pt; font-weight:bold; color:Gray; text-decoration:underline; cursor:pointer; width:116px;" onclick="alert('INFORMATION\n\nIndtast og vælg din adresse i adressefeltet!')">Skriv besked</div>
                        <div style="float:left; font-size:11pt; font-weight:bold; color:Gray; text-decoration:underline; cursor:pointer;" onclick="alert('INFORMATION\n\nIndtast og vælg din adresse i adressefeltet!')">Til-/Frameld e-mailservice</div>
                        <br style="clear:both;" />
                    </div>

                    <div id="a_reportNewTank" style="padding-top:3px; height:22px; display:none;">
                        <div style="float:left; width:116px;"><a href="Message.aspx" target="_blank" style="font-size:11pt; font-weight:bold;">Skriv besked</a></div>
                        <div style="float:left;"><a href="Message.aspx" target="_blank" style="font-size:11pt; font-weight:bold;">Til-/Frameld e-mailservice</a></div>
                        <br style="clear:both;" />
                    </div>
            
                </div>

                <div style="float:left; width:360px;">

                    <!-- Kort -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:26px; padding-left: 2px;">Kort</div>
                    <div style="float:left; width:312px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:338px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 2px; margin-bottom: 4px;">
                
                        <div id="map_canvas" style="width:326px; height:399px; border:solid 1px #7f9db9; margin-top:4px;">
                        </div>

                    </div>

                    <div style="padding-top:3px; height: 18px;">
                        <a style="float:right; padding-right:10px;" href="Login.aspx" target="_blank">Login</a>
                        <br style="clear:both;" />
                    </div>

                </div>
            
                <br style="clear:both;" />

                <div style="width:150px; color:olive; font-size: 8pt; padding-top: 4px; height: 17px; display:none;">
                    Udviklet af Geokon A/S
                </div>

            <!-- main Page end -->
            </div>

        <!-- hole Page end -->
        </div>
        
        <div id="div_connectedTo" runat="server" style="color:Silver; font-size:7pt; font-family:Arial; padding-top:2px; padding-left:10px;">
            Connected to: NOT CONNECTED
        </div>
        
        <div id="divSelectingNumber" style="display:none; width: 131px; height: 20px; background-color: #ffff00; left: 9px; position: absolute; top: 7px;">
            selectingNumber = 0
        </div>
        
        <select id="SelectAddress" class="dropDownList" style="width:272px; display:none; position: absolute; left: 88px; top: 87px; z-index: 1;" size="5" runat="server" onclick="SelectedAddressClick(this)" onkeydown="SelectedAddressKeyDown(this, event)">
        </select>
        
        <div id="div_wait" style="display:none; position:absolute; top:0px; left:0px; z-index: 1;">
            <img alt="" src="wait.gif" />
        </div>
        
    </div>    
    </form>
</body>
</html>
