﻿
function OnMouseOver(obj)
{
    if(obj.style.backgroundColor != 'blue')
    {
        obj.className = 'recordHover';
    }
}

function OnMouseOut(obj, orgClass)
{
    if(obj.style.backgroundColor != 'blue')
    {
        obj.className = orgClass;
    }
}

function AddDropDownListItem(obj, value, text)
{
    var opt = document.createElement("option");
    opt.value = value;
    opt.text = text;
    obj.options.add(opt);
}

//Set selected value of a dropDownList.
function SetDropDownListSelectedValue(obj, value)
{
    for (var i = 0; i < obj.options.length; i++)
    {
        if (obj.options[i].value == value)
        {
            obj.selectedIndex = i;
            break;
        }
    }
}

//Enable/disable all controls within the specified element 
function DisableDivElements(divTag, disable)
{
    if (divTag.type != null)
    {
        divTag.disabled = disable;
    }

    for (var i = 0; i < divTag.childNodes.length; i++)
    {
        var childDivTag = divTag.childNodes[i];

        if (childDivTag.childNodes.length != 0)
        {
            DisableDivElements(childDivTag, disable);
        }
        else
        {
            if (childDivTag.type != null)
            {
                childDivTag.disabled = disable;
            }
        }
    }
}

function DateOK(date)
{
    var error = 'Ikke korrekt dato format!\nDato skal være på formen: DD-MM-ÅÅÅÅ\nF.eks: 21-02-2004';

    if(date.length != 10)
    {
        alert(error);
        return false;
    }
    
    if((date.substr(2,1) != '-') || (date.substr(5,1) != '-'))
    {
        alert(error);
        return false;
    }
    
    var day;
    var month;
    var year;
    
    try
    {
        day = parseInt(date.substr(0, 2));
        month = parseInt(date.substr(3, 2));
        year = parseInt(date.substr(6, 4));
    }
    catch(err) 
    {
        alert(error);
        return false;
    }
    
    if((isNaN(day)) || (isNaN(month)) || (isNaN(year)))
    {
        alert(error);
        return false;
    }
    
    if((day > 31) || (month > 12) || (year < 1970))
    {
        alert(error);
        return false;
    }        
    
    return true;
}

function IsInteger(input)
{
    if(input.length == 0)
    {
        return false;
    }

    var ValidChars = "0123456789";
    var IsInteger = true;
    var Char;

    for (var i = 0; i < input.length && IsInteger == true; i++) 
    { 
        Char = input.charAt(i);
         
        if (ValidChars.indexOf(Char) == -1) 
        {
            IsInteger = false;
        }
    }
    
    return IsInteger;
}

function IsDouble(input)
{
    if(input.length == 0)
    {
        return false;
    }

    var ValidChars = "0123456789,";
    var IsDouble = true;
    var Char;
    var noOfKomma = 0;

    for (var i = 0; i < input.length && IsDouble == true; i++) 
    { 
        Char = input.charAt(i);
        
        if(Char == ',')
        {
            if(++noOfKomma > 1)
            {
                IsDouble = false;                
            }
        }
         
        if (ValidChars.indexOf(Char) == -1) 
        {
            IsDouble = false;
        }
    }
    
    if(noOfKomma != 0)
    {
        var array = new Array();
        array = input.split(',');
        
        if((array[1].length == 0) || (array[1].length > 2))
        {
            IsDouble = false;
        }
    }
    
    return IsDouble;
}

Date.prototype.addDays = function(days)
{
    this.setDate(this.getDate() + days);
}

function GetFormatedDate(d)
{
    var day = d.getDate();
    var month = d.getMonth() + 1;
    var year = d.getFullYear();
    
    if(day < 10) { day = '0' + day; }
    if(month < 10) { month = '0' + month; }
    return day + '-' + month + '-' + year;
} 

function IntelligentDate(obj)
{
    var text = obj.value;
    var d = new Date();

    if((text.length < 3) && (IsInteger(text)))
    {
        d.setDate(parseInt(obj.value));
        obj.value = GetFormatedDate(d);
        return;
    }
    
    if((text.length == 4) && (IsInteger(text)))
    {
        d.setMonth(parseInt(text.substr(2, 2)) - 1, parseInt(text.substr(0, 2)));
        obj.value = GetFormatedDate(d);
        return;
    }

    if((text.length == 6) && (IsInteger(text)))
    {
        d.setFullYear(parseInt('20' + text.substr(4, 2)), parseInt(text.substr(2, 2)) - 1, parseInt(text.substr(0, 2)));
        obj.value = GetFormatedDate(d);
        return;
    }
    
    if(text.length < 2)
    {
        return;
    }
    
    if((text.length == 8) && (IsInteger(text)))
    {
        d.setFullYear(parseInt(text.substr(4, 4)), parseInt(text.substr(2, 2)) - 1, parseInt(text.substr(0, 2)));
        obj.value = GetFormatedDate(d);
    
        return;
    }
    
    if(text.substr(0, 2).toLowerCase() == 'dd')
    {
        if(text.length == 2)
        {
            obj.value = GetFormatedDate(d);
        }
        else if((text.length > 3) && ((text.substr(2, 1) == '+') || (text.substr(2, 1) == '-')) && (IsInteger(text.substr(3))))
        {
            d.addDays(parseInt(text.substr(2)));
            obj.value = GetFormatedDate(d);
        }
    }
}

function findPos(obj)
{
	var curleft = curtop = 0;
    if (obj.offsetParent)
    {
        do
        {
            curleft += obj.offsetLeft;
            curtop += obj.offsetTop;
        } while (obj = obj.offsetParent);
    }
        
    return [curleft,curtop];
}