<%@ page language="C#" autoeventwireup="true" inherits="LocalityOverview, App_Web_kj893aaw" validaterequest="false" enableeventvalidation="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>GeoEnviron WEB - Tmning af spildevandstanke</title>
    <link rel="SHORTCUT ICON" href="GEIcon.ico" />
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />
    <link rel="stylesheet" type="text/css" href="styleSheetCalendar.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptMain_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWait_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWindowMove_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptCalendar_v116.js"></script>

    <script language="javascript" type="text/javascript">

    var map;

    function DisplayIcons(values)
    {
        map.clearOverlays();

        var message = new Array();
        message = values.split('$');

        if(message[0] == 0)
        {
            map.setCenter(new GLatLng(56, 10.4), 6);
            return;
        }
    
        //Icons
        var iconPathArray = new Array();
        iconPathArray[0] = 'Icons/incomplete.png';
        iconPathArray[1] = 'Icons/complete.png';

        var markerArray = new Array();

        for(var i = 0; i < iconPathArray.length; i++)
        {
            var myGIcon = new GIcon(G_DEFAULT_ICON);
            myGIcon.image = iconPathArray[i];
            markerArray[i] = { icon:myGIcon };
        }

        // Creates a marker at the given point
        // Clicking the marker will hide it
        function createMarker(latlng, number, msg, marker)
        {
            var marker = new GMarker(latlng, marker);
            marker.value = number;
            GEvent.addListener(marker,"click", function() { if(!windowopen()) { map.openInfoWindowHtml(latlng, msg); GetLocality(number); } });
            return marker;
        }

        //Ractangle for computing map center and zoom level.
        var bounds = new GLatLngBounds();

        //Init InfoWindow
        var initLatLng;
        var initMsg;
        
        // Put messages on map
        for (var i = 0; i < message[0]; i++)
        {
            var split = message[i + 2].split('');
            var id = split[0];
            var longitude = split[1]; //X
            var latitude = split[2]; //Y
            var msg = split[3];
            var icon = split[4];
            
            var marker = markerArray[icon];
        
            var latlng = new GLatLng(latitude, longitude);
            
            if(message[1] == split[0])
            {
                initLatLng = latlng;
                initMsg = msg;            
            }
            
            bounds.extend(latlng);
            map.addOverlay(createMarker(latlng, id, msg, marker));
        }

        var zoomLevel = map.getBoundsZoomLevel(bounds) - 1;

        if(zoomLevel > 18)
        {
            zoomLevel = 18;
        }

        map.setCenter(bounds.getCenter(), zoomLevel);
        
        //Display init InfoWindow
        if(message[0] > 0)
        {
            map.openInfoWindowHtml(initLatLng, initMsg);        
        }
    }
    
    function DisplayRute(values)
    {
        map.clearOverlays();
    
        var message = new Array();
        message = values.split('$');

        // Put points in array
        var points = new Array();

        for (var i = 0; i < message[0]; i++)
        {
            var split = message[i + 1].split('');
            var longitude = split[1]; //X
            var latitude = split[2]; //Y
        
            points[i] = new GLatLng(latitude, longitude);
        }

        //Directions
        var directionsPanel = document.getElementById("route");
        var directions = new GDirections(map, directionsPanel);
        directions.loadFromWaypoints(points, {"locale": "da_DK"});
    }
  
    function initialize()
    {
        if (GBrowserIsCompatible())
        {
            //Map
            map = new GMap2(document.getElementById("map_canvas"));
            map.setCenter(new GLatLng(56, 10.4), 6);
            map.setUIToDefault();

            map.removeMapType(G_NORMAL_MAP);
            map.removeMapType(G_SATELLITE_MAP);
            map.addMapType(G_SATELLITE_MAP);
            map.addMapType(G_NORMAL_MAP);
            map.addControl(new GMapTypeControl());
        }
    }
    
    
    //Callback
    var callbackSend = 0;

    function GetCallBackTest()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetCallBackTest:";
            var context = new Object();
            context.CommandName = "GetCallBackTest";
            <%=_callbackstr %>
        }    
    }
    
    function SetCallBackTest(result)
    {
        alert(result);
    }
    
    function GetRoutes(district_code)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetRoutes:" + district_code;
            var context = new Object();
            context.CommandName = "GetRoutes";
            <%=_callbackstr %>
        }    
    }

    function SetRoutes(result)
    {
        var split = result.split('\t');
        
        var obj = document.getElementById('DropDownList_Rute');
        obj.options.length = 0;
        
        if(split[0] == 0)
        {
            SetMapElements('0\t\t\t\t\t\t\t\t0\t\t\tIngen tanke!');
            alert('Der er ingen ruter i det valgte distrikt!\nDu kan oprette ruter i ruteplanlgningsdelen.');
            return;
        }        
        
        for(var i = 0; i < split[0]; i++)
        {
            AddDropDownListItem(obj, split[i * 2 + 2], split[i * 2 + 3]);
        }
        
        SetDropDownListSelectedValue(obj, split[1]);
        
        if(split[0] > 0)
        {
            var j = split[0] * 2 + 2;
            var resultMapElements = split[j];
            
            for(var i = j + 1; i < split.length; i++)
            {
                resultMapElements += '\t' + split[i];
            }
        
            SetMapElements(resultMapElements);
        }
    }
    
    function GetMapElements(route_seq_no)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetMapElements:" + route_seq_no;
            var context = new Object();
            context.CommandName = "GetMapElements";
            <%=_callbackstr %>
        }    
    }
    
    function SetMapElements(result)
    {
        var split = result.split('\t');

        DisplayIcons(split[0]);
        DisplayList(split[1]);

        if(split.length > 2)
        {
            var resultLocality = split[2];
            
            for(var i = 3; i < split.length; i++)
            {
                resultLocality += '\t' + split[i];
            }
        
            SetLocalityInit(resultLocality);
        }
    }
    
    function DisplayList(result)
    {
        document.getElementById('list_canvas').innerHTML = result;
    }
    
    function GetLocalityInit(id)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetLocalityInit:" + id;
            var context = new Object();
            context.CommandName = "GetLocalityInit";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }

    function SetLocalityInit(result)
    {
        var split = new Array();
        split = result.split('\t');
        
        document.getElementById('TextBox_ContactName').value = split[0];
        document.getElementById('TextBox_ContactAddress').value = split[1];
        //document.getElementById('TextBox_ContactZip').value = split[2];
        document.getElementById('TextBox_ContactTown').value = split[2];
        
        document.getElementById('TextBox_ContactPhone').value = split[3];
        document.getElementById('TextBox_ContactEmail').value = split[4];
        
        if(split[5] == '0')
        {
            document.getElementById('CheckBox_ContactEmail').checked = false;
        }
        else
        {
            document.getElementById('CheckBox_ContactEmail').checked = true;
        }
        
        document.getElementById('DropDownList_ContactHouseType').value = split[6];
        document.getElementById('TextBox_ContactSpecialConditions').value = split[7];

        var obj_tankList = document.getElementById('div_tank');
        obj_tankList.innerHTML = split[8];
        
        if(obj_tankList.innerHTML == 'Ingen tanke!')
        {
            DisableContactInfo(true);        
        }
        else
        {
            DisableContactInfo(false);        
        }
    }

    function GetLocality(id)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetLocality:" + id;
            var context = new Object();
            context.CommandName = "GetLocality";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetLocality(result)
    {
        var split = result.split('\t');
    
        DisplayList(split[0]);
        
        var resultLocalityInit = split[1];
        
        for(var i = 2; i < split.length; i++)
        {
            resultLocalityInit += '\t' + split[i];
        }

        SetLocalityInit(resultLocalityInit);
    }

    function GetInitializeQuickInspection(tank_seq_no)
    {
        if(windowopen())
        {
            return;
        }
        
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetInitializeQuickInspection:" + tank_seq_no;
            var context = new Object();
            context.CommandName = "GetInitializeQuickInspection";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }

    function SetInitializeQuickInspection(result)
    {
        var split = result.split('\t');

        document.getElementById('star_ReportFloatingSludge').style.display = 'block';
        document.getElementById('star_ReportBottomSludge').style.display = 'block';
        document.getElementById('star_ReportVolume').style.display = 'block';

        if(split[8] == '1') //isSamleTank == true
        {
            document.getElementById('star_ReportFloatingSludge').style.display = 'none';
            document.getElementById('star_ReportBottomSludge').style.display = 'none';
        }
        
        if(document.getElementById('HiddenField_MinMandatoryFieldsEnabled').value == 'true')
        {
            document.getElementById('star_ReportFloatingSludge').style.display = 'none';
            document.getElementById('star_ReportBottomSludge').style.display = 'none';
            document.getElementById('star_ReportVolume').style.display = 'none';
        }

        document.getElementById('dialog_quickInspection_title').innerHTML   = '&nbsp;Kvik tmning - Tank nr. ' + split[0];
        document.getElementById('div_tankComments').innerHTML               = split[1];
        document.getElementById('div_tanktype').innerHTML                   = split[2];
        document.getElementById('TextBox_ReportDate').value                 = split[3];
        document.getElementById('TextBox_ReportTime').value                 = split[4];
        document.getElementById('DropDownList_ReportCarType').value         = split[5];
        document.getElementById('DropDownList_ReportFillDegree').value      = split[6];
        document.getElementById('DropDownList_ReportDumpId').value          = split[7];

        document.getElementById('TextBox_ReportFloatingSludge').value       = '';
        document.getElementById('TextBox_ReportBottomSludge').value         = '';
        document.getElementById('TextBox_ReportVolume').value               = '';

        DisableDivElements(document.getElementById('div_main'), true);
        
        var obj = document.getElementById('dialog_quickInspection');
        obj.style.left = '238px';
        obj.style.top = '276px';
        obj.style.display = 'block';
        
        document.getElementById('TextBox_ReportFloatingSludge').focus();
    }

    function GetSaveQuickInspection(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetSaveQuickInspection:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveQuickInspection";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetSaveQuickInspection(result)
    {
        var split = result.split('\t');

        if(split[0].substr(0,5) == 'ERROR')
        {
            alert(split[0]);
            return;
        }

        document.getElementById('dialog_quickInspection').style.display = 'none';
        DisableDivElements(document.getElementById('div_main'), false);

        var resultMapElements = split[2];

        for(var i = 3; i < split.length; i++)
        {
            resultMapElements += '\t' + split[i];
        }

        SetMapElements(resultMapElements);

        if(split[1] == 'alert')
        {
            alert(split[0]);
            return;
        }
       
        if(confirm(split[0]))
        {
            window.open('PrintReceipt.aspx');
            //void('');
        }
    }

    function GetSaveContactInfo(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetSaveContactInfo:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveContactInfo";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetSaveContactInfo(result)
    {
        alert(result);
    }
    
    function GetSendReceipt(email)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetSendReceipt:" + email;
            var context = new Object();
            context.CommandName = "GetSendReceipt";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetSendReceipt(result)
    {
        alert(result);
        window.open('PrintReceipt.aspx');
    }
    
    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetCallBackTest": SetCallBackTest(result); break;
            case "GetRoutes": SetRoutes(result); break;
            case "GetMapElements": SetMapElements(result); break;
            case "GetLocalityInit": SetLocalityInit(result); break;
            case "GetLocality": SetLocality(result); break;
            
            case "GetInitializeQuickInspection": SetInitializeQuickInspection(result); break;
            case "GetSaveQuickInspection": SetSaveQuickInspection(result); break;
            case "GetSaveContactInfo": SetSaveContactInfo(result); break;

            case "GetSendReceipt": SetSendReceipt(result); break;
        }
    }

    function OnError(message, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
        alert("Exception :\n" + message);
    }
    
    
    //Other functions
    
    function windowopen()
    {
        var open = false;
    
        if(document.getElementById('dialog_quickInspection').style.display == 'block')
        {
            open = true;
        }

        if(open)
        {
            alert('Et vindue er bent!\nLuk vinduet og klik igen.');
            return true;
        }
        
        return false;
    }
    
    function CloseWindow(winId)
    {
        document.getElementById(winId).style.display = 'none';
        DisableDivElements(document.getElementById('div_main'), false);
    }
    
    function Button_RouteMapListFlip_OnClick()
    {
        var obj = document.getElementById('Button_RouteMapListFlip');
    
        if(obj.value == 'Vis liste')
        {
            document.getElementById('map_canvas').style.display = 'none';
            document.getElementById('div_canvas').style.display = 'block';
        
            obj.value = 'Vis kort'; 
        }
        else
        {
            document.getElementById('div_canvas').style.display = 'none';
            document.getElementById('map_canvas').style.display = 'block';

            obj.value = 'Vis liste'; 
        }
    }
    
    function DisableContactInfo(disabled)
    {
        var classNameTextBox = 'textBox';
        var classNameLabel = 'label';
        
        if(disabled)
        {
            classNameTextBox = 'textBoxReadOnly';
            classNameLabel = 'labelReadOnly';
        }
/*
        document.getElementById('Label_ContactName').className = classNameLabel;
        document.getElementById('TextBox_ContactName').className = classNameTextBox;
        document.getElementById('TextBox_ContactName').disabled = disabled;
        
        document.getElementById('Label_ContactAddress').className = classNameLabel;
        document.getElementById('TextBox_ContactAddress').className = classNameTextBox;
        document.getElementById('TextBox_ContactAddress').disabled = disabled;
        
        document.getElementById('Label_ContactZip').className = classNameLabel;
        document.getElementById('TextBox_ContactZip').className = classNameTextBox;
        document.getElementById('TextBox_ContactZip').disabled = disabled;

        document.getElementById('Label_ContactTown').className = classNameLabel;
        document.getElementById('TextBox_ContactTown').className = classNameTextBox;
        document.getElementById('TextBox_ContactTown').disabled = disabled;
*/        
        document.getElementById('Label_ContactPhone').className = classNameLabel;
        document.getElementById('TextBox_ContactPhone').className = classNameTextBox;
        document.getElementById('TextBox_ContactPhone').disabled = disabled;

        document.getElementById('Label_ContactEmail').className = classNameLabel;
        document.getElementById('TextBox_ContactEmail').className = classNameTextBox;
        document.getElementById('TextBox_ContactEmail').disabled = disabled;

        document.getElementById('Label_CheckBox_ContactEmail').className = classNameLabel;
        document.getElementById('CheckBox_ContactEmail').disabled = disabled;
        
        document.getElementById('Label_ContactHouseType').className = classNameLabel;
        document.getElementById('DropDownList_ContactHouseType').disabled = disabled;
        
        document.getElementById('Label_ContactSpecialConditions').className = classNameLabel;
        document.getElementById('TextBox_ContactSpecialConditions').className = classNameTextBox;
        document.getElementById('TextBox_ContactSpecialConditions').disabled = disabled;
        
        document.getElementById('Button_SaveContactInfo').disabled = disabled;
    }

    function Button_SaveContactInfo_OnClick()
    {
        if(windowopen())
        {
            return;
        }
    
        var ref_phone           = document.getElementById('TextBox_ContactPhone').value;
        var ref_email           = document.getElementById('TextBox_ContactEmail').value;
        var ref_email_receipt   = '0';
        var util_code           = document.getElementById('DropDownList_ContactHouseType').value;
        var comments            = document.getElementById('TextBox_ContactSpecialConditions').value;
        
        if(document.getElementById('CheckBox_ContactEmail').checked) { ref_email_receipt = '1'; }
        var arguments = ref_phone + '\t' + ref_email + '\t' + ref_email_receipt + '\t' + util_code + '\t' + comments;
        
        GetSaveContactInfo(arguments);
    }

    function Transfer(tank_seq_no)
    {
        document.getElementById('HiddenField_tank_seq_no').value = tank_seq_no;
        document.getElementById('Button_Select').click();
    }

    function SaveQuickInspection()
    {
        HideCalendar();
        
        var last_collect        = document.getElementById('TextBox_ReportDate').value;
        var last_collect_time   = document.getElementById('TextBox_ReportTime').value;
        var cartype             = document.getElementById('DropDownList_ReportCarType').value;
        var floating_sludge     = document.getElementById('TextBox_ReportFloatingSludge').value;
        var bottom_sludge       = document.getElementById('TextBox_ReportBottomSludge').value;
        var volume_collected    = document.getElementById('TextBox_ReportVolume').value;
        var fill_degree         = document.getElementById('DropDownList_ReportFillDegree').value;
        var dump_id             = document.getElementById('DropDownList_ReportDumpId').value;

        var isSamleTank = false
        if( (document.getElementById('star_ReportFloatingSludge').style.display == 'none') && (document.getElementById('star_ReportBottomSludge').style.display == 'none') )
        {
            isSamleTank = true;
        }

        var minMandatoryFieldsEnabled = false;
        if(document.getElementById('HiddenField_MinMandatoryFieldsEnabled').value == 'true') { minMandatoryFieldsEnabled = true; }
        
        // Check parameters

        if(!DateOK(last_collect))
        {
            return;
        }
        
        if(cartype == '')
        {
            alert('Biltype ikke valgt!');
            return;
        }
        
        if(!IsInteger(floating_sludge))
        {
            if((isSamleTank) && (floating_sludge.length == 0))
            {
                // continue
            }
            else if((minMandatoryFieldsEnabled) && (floating_sludge.length == 0))
            {
                // continue
            }
            else
            {
                alert('Flydeslam skal vre et heltal.');
                return;
            }
        }
        
        if(!IsInteger(bottom_sludge))
        {
            if((isSamleTank) && (bottom_sludge.length == 0))
            {
                // continue
            }
            else if((minMandatoryFieldsEnabled) && (bottom_sludge.length == 0))
            {
                // continue
            }
            else
            {
                alert('Bundslam skal vre et heltal.');
                return;
            }
        }

        if(!IsDouble(volume_collected))
        {
            if((minMandatoryFieldsEnabled) && (volume_collected.length == 0))
            {
                // continue
            }
            else
            {
                alert('Tmt volumen skal vre et tal med , (komma) som desimaltegn\nFx. 10,2');
                return;
            }
        }

        var arguments = last_collect + '\t' + last_collect_time + '\t' + cartype + '\t' + floating_sludge + '\t' + bottom_sludge + '\t' + volume_collected + '\t' + fill_degree + '\t' + dump_id;
        GetSaveQuickInspection(arguments);   
    }
    
    function Button_Print_OnClick()
    {
        var sendEmail = document.getElementById('CheckBox_ContactEmail');
        var email = document.getElementById('TextBox_ContactEmail').value;
        
        if((sendEmail.checked == true) && (email.length > 0))
        {
            //Kvittering KAN sendes pr. mail. Skal den det?
            if(confirm('Send ogs kvittering pr. mail til ' + email + '?'))
            {
                GetSendReceipt(email);
                return;
            }
        }

        window.open('PrintReceipt.aspx');
    }

    </script>

</head>
<body onload="initialize(); GetRoutes(document.getElementById('DropDownList_District').value);" onunload="GUnload()" onmousemove="Body_OnMouseMove(event)" onmouseup="Body_OnMouseUp()">
    <form id="form1" runat="server">
    <div id="div_main" style="left: 10px; position: absolute; top: 10px; width: 910px;">

        <div id="div_image" runat="server" style="width:902px; height:96px; font-family:Verdana; font-size:8pt; background-image:url(Septic_sv.jpg);">
            
            <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="float:right; margin-top: 72px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>
            
        </div>

        <div style="width:910px;">
        <!-- hole Page start -->

            <div class="backgroundColor" style="float:left; width:890px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 0px; padding-left: 10px; padding-bottom: 6px; padding-top: 4px;">
            <!-- main Page start -->

                <!-- Sg -->
                <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                <div class="labelHead" style="float:left; width:70px; padding-left: 2px;">Valg af rute</div>
                <div style="float:left; width:798px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                <br style="clear:both;" />
                
                <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">
                
                    <div class="labelBig" style="float:left; width:70px; padding-top:4px;">
                        Distrikt:
                    </div>
                    <div style="float:left; width:224px; padding-top:2px;">
                        <asp:DropDownList ID="DropDownList_District" runat="server" Width="210px" CssClass="dropDownListBig" onchange="GetRoutes(document.getElementById('DropDownList_District').value)">
                        </asp:DropDownList>
                    </div>
                    <div class="labelBig" style="float:left; width:50px; padding-top:4px;">
                        Rute:
                    </div>
                    <div style="float:left; width:396px; padding-top:2px;">
                        <asp:DropDownList ID="DropDownList_Rute" runat="server" Width="394px" CssClass="dropDownListBig" onchange="GetMapElements(document.getElementById('DropDownList_Rute').value)">
                        </asp:DropDownList>
                    </div>

                    <div style="float:right; height:17px; padding-top:4px; padding-right:12px;">
                        <a href="Login.aspx">Tilbage til start -></a>
                    </div>
                    
                    <br style="clear:both;" />
                
                </div>

                <div style="float:left; width:440px;">

                    <!-- Ejendomme -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:70px; padding-left: 2px;">Ejendomme</div>
                    <div style="float:left; width:348px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:418px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">

                        <div id="map_canvas" style="width:406px; height:411px; border:solid 1px #7f9db9; display:block;">
                        </div>

                        <div id="div_canvas" style="display:none;">

                            <div style="float:left; width:120px; height: 15px; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                                Navn
                            </div>
                            <div style="float:left; width:110px; height: 15px; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                                Adresse
                            </div>
                            <div style="float:left; width:120px; height: 15px; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                                Postnr./by
                            </div>
                            <div style="float:left; width:50px; height: 15px; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                                Afsluttet
                            </div>
                            <br style="clear:both;" />

                            <div id="list_canvas" style="width:406px; height:396px; border:solid 1px #7f9db9; overflow:auto;">
                            </div>
                        
                        </div>
                        
                        <div style="float:right; padding-top:10px; padding-right:10px;">
                            <input id="Button_RouteMapListFlip" type="button" class="button" value="Vis liste" onclick="Button_RouteMapListFlip_OnClick()" />
                        </div>
                        <br style="clear:both;" />
                                                
                    </div>
                
                </div>
                
                <div style="float:left;">

                    <!-- Tanke p ejendom -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:110px; padding-left: 2px;">Tanke p ejendom</div>
                    <div style="float:left; width:318px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:428px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 13px; padding-top: 4px; margin-bottom: 4px;">

                        <div style="float:left; width:80px; height: 15px; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                            Tank nr.
                        </div>
                        <div style="float:left; width:100px; height: 15px; padding-left: 1px; padding-right:1px;" class="labelReadOnly">
                            Type
                        </div>
                        <div style="float:left; width:80px; height: 15px; padding-left: 1px; text-align:right; padding-right:10px;" class="labelReadOnly">
                            Vol.(liter)
                        </div>
                        <div style="float:left; width:90px; height: 15px; padding-left: 10px; padding-right:1px;" class="labelReadOnly">
                            Sidst tmt
                        </div>
                        <br style="clear:both;" />

                        <div id="div_tank" runat="server" style="width:416px; height:100px; border-right: #7f9db9 1px solid; border-top: #7f9db9 1px solid; border-left: #7f9db9 1px solid; border-bottom: #7f9db9 1px solid; overflow:auto;">
                        </div>        

                        <div style="float:right; height:17px; padding-top:9px; padding-right:9px;">
                            <input id="Button_Print" runat="server" class="button" type="button" value="Udskriv kvittering" onclick="Button_Print_OnClick()" />                                          
                            <asp:Button ID="Button_NewTank" runat="server" Text="Opret ny tank" CssClass="button" OnClick="Button_NewTank_Click" />                        
                        </div>
                        <br style="clear:both;" />

                    </div>

                    
                    <!-- Kontaktinformation -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:112px; padding-left: 2px;">Kontaktinformation</div>
                    <div style="float:left; width:316px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:428px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 9px; padding-top: 4px; margin-bottom: 4px;">

                        <div id="Label_ContactName" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Ejer:
                        </div>
                        <div style="float:left; width:358px; padding-top:1px; height: 20px;">
                            <asp:TextBox ID="TextBox_ContactName" runat="server" Width="348px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" ReadOnly="True">&lt;name&gt;</asp:TextBox>
                        </div>
                        <br style="clear:both;" />
                        
                        <div id="Label_ContactAddress" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Adresse:
                        </div>
                        <div style="float:left; width:358px; padding-top:1px; height: 20px;">
                            <asp:TextBox ID="TextBox_ContactAddress" runat="server" Width="348px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" ReadOnly="True">&lt;address&gt;</asp:TextBox>
                        </div>
                        <br style="clear:both;" />
                        
                        <div id="Label_ContactZip" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Postnr/By:
                        </div>
                        <div style="float:left; width:358px; padding-top:1px; height: 20px;">
                            <asp:TextBox ID="TextBox_ContactTown" runat="server" Width="348px" CssClass="textBoxReadOnly" AutoCompleteType="Disabled" ReadOnly="True">&lt;town&gt;</asp:TextBox>
                        </div>
                        <br style="clear:both;" />

                        <div style="height:6px;"></div>

                        <div id="Label_ContactPhone" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Tlf:
                        </div>
                        <div style="float:left; width:358px; padding-top:1px; height: 20px;">
                            <asp:TextBox ID="TextBox_ContactPhone" runat="server" Width="348px" CssClass="textBoxReadOnly" Enabled="False" AutoCompleteType="Disabled" MaxLength="15">&lt;phone&gt;</asp:TextBox>
                        </div>
                        <br style="clear:both;" />
                    
                        <div id="Label_ContactEmail" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            E-mail:
                        </div>
                        <div style="float:left; width:358px; padding-top:1px; height: 20px;">
                            <asp:TextBox ID="TextBox_ContactEmail" runat="server" Width="348px" CssClass="textBoxReadOnly" Enabled="False" AutoCompleteType="Disabled" MaxLength="60">&lt;email&gt;</asp:TextBox>
                        </div>
                        <br style="clear:both;" />
                    
                        <div style="float:left; width:62px; padding-top:4px; height: 17px;">
                            &nbsp;
                        </div>
                        <div style="float:left; width:21px; padding-top:0px; height: 21px;">
                            <input id="CheckBox_ContactEmail" type="checkbox" class="checkBox" disabled="disabled" />
                        </div>
                        <div id="Label_CheckBox_ContactEmail" class="labelReadOnly" style="float:left; width:183px; padding-top:4px; height: 17px;">
                            Kvittering pr. email
                        </div>
                        <br style="clear:both;" />

                        <div style="height:6px;"></div>

                        <div id="Label_ContactHouseType" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Brugstype:
                        </div>
                        <div style="float:left; width:358px; height: 19px; padding-top: 2px;">
                            <asp:DropDownList ID="DropDownList_ContactHouseType" runat="server" Width="352px" CssClass="dropDownList" Enabled="false">
                            </asp:DropDownList>
                        </div>
                        <br style="clear:both;" />

                        <div id="Label_ContactSpecialConditions" class="labelReadOnly" style="float:left; width:66px; padding-top:4px; height: 17px;">
                            Srlige forhold p ejendom-men:
                        </div>
                        <div style="float:left; width:358px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_ContactSpecialConditions" runat="server" Width="348px" CssClass="textBoxReadOnly" Enabled="False" AutoCompleteType="Disabled" MaxLength="255" Height="72px" TextMode="MultiLine">&lt;special conditions&gt;</asp:TextBox>
                        </div>
                        <br style="clear:both;" />

                        <div style="float:right; padding-top:10px; padding-right:9px;">
                            <input id="Button_SaveContactInfo" runat="server" type="button" value="Gem" class="button" onclick="Button_SaveContactInfo_OnClick()" />
                        </div>
                        <br style="clear:both;" />

                    </div>                    
                
                </div>
                
                <br style="clear:both;" />

                <div style="width:300px; color:olive; font-size: 8pt; padding-top: 4px; height: 17px;">
                    Udviklet af Geokon A/S
                </div>
                
                
                <asp:HiddenField ID="HiddenField_tank_seq_no" runat="server" />
                <asp:Button ID="Button_Select" runat="server" Text="Vlg" CssClass="button" style="display:none;" OnClick="Button_Select_Click" />
                

            <!-- main Page end -->
            </div>

        <!-- hole Page end -->
        </div>
        
        <div id="div_connectedTo" runat="server" style="color:Silver; font-size:7pt; font-family:Arial; padding-top:2px;">
            Connected to: NOT CONNECTED
        </div>    
        
    </div>

    <!-- Dialog - Kvik Tmning -->

    <div id="dialog_quickInspection" style="border:3px solid #bcd753; display:none; background-color:#bcd753; position:absolute; top:276px; left:238px; width:453px;">
        
        <div style="height:17px;">
            <div id="dialog_quickInspection_title" style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:443px; float:left; cursor:default;" onmousedown="HideCalendar();HelpBox_OnMouseDown(event,'dialog_quickInspection')">&nbsp;Kvik tmning</div>
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left; cursor:default;" onclick="HideCalendar();CloseWindow('dialog_quickInspection');">X</div>
        </div>      
        
        <div class="backgroundColor" style="width:432px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid;  border-top: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 8px; padding-top: 8px;">

            <div style="float:left; width:114px; padding-top:3px; height:18px" class="label"> <!-- width:408px; -->
                Tank bemrkning:
            </div>
            <div id="div_tankComments" style="float:left; width:316px; padding-top:3px;" class="textReadOnly"> <!-- width:408px; -->
                [Tank comment]
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:114px; padding-top:3px; height:18px" class="label">
                Tanktype:
            </div>
            <div id="div_tanktype" style="float:left; width:316px; padding-top:3px;" class="textReadOnly">
                [Tanktype]
            </div>
            <br style="clear:both;" />
            
            <hr />

            <div style="float:left; width:76px; padding-top:3px; height:18px" class="label">

                <div style="float:left;">Dato</div>
                <div style="float:left; color:Red;">*</div>
                <div style="float:left;">/Tid:</div>
                <br style="clear:both;" />

            </div>
            <div style="float:left; width:76px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_ReportDate" runat="server" CssClass="textBox" Width="70px" MaxLength="10" TabIndex="100"></asp:TextBox>
            </div>
            <div style="float:left; width:39px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_ReportTime" runat="server" CssClass="textBox" Width="33px" MaxLength="5" TabIndex="101"></asp:TextBox>
            </div>
            <div style="float:left; width:35px; height:17px; padding-top:3px;">
                <img src="Calendar.gif" alt="" onclick="ShowCalendar('TextBox_ReportDate'); document.getElementById('TextBox_ReportTime').value = ''" />
            </div>                
            <div style="float:left; width:100px; padding-top:3px; height:18px" class="label">

                <div style="float:left;">Biltype:</div>
                <div style="float:left; color:Red;">*</div>
                <br style="clear:both;" />

            </div>
            <div style="float:left; width:104px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_ReportCarType" runat="server" CssClass="dropDownList" Width="74px" TabIndex="102"></asp:DropDownList>
            </div>
            <br style="clear:both;" />
                    
            <div style="float:left; width:76px; padding-top:3px; height:18px" class="label">

                <div style="float:left;">Flydeslam:</div>
                <div id="star_ReportFloatingSludge" style="float:left; color:Red; display:block;">*</div>
                <br style="clear:both;" />
                
            </div>
            <div style="float:left; width:80px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_ReportFloatingSludge" runat="server" CssClass="textBox" Width="70px" MaxLength="10" TabIndex="103"></asp:TextBox>
            </div>
            <div style="float:left; width:70px; padding-top:3px; height:18px" class="label">
                cm
            </div>
            <div style="float:left; width:100px; padding-top:3px; height:18px" class="label">

                <div style="float:left;">Tmt volumen:</div>
                <div id="star_ReportVolume" style="float:left; color:Red;">*</div>
                <br style="clear:both;" />
                
            </div>
            <div style="float:left; width:80px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_ReportVolume" runat="server" CssClass="textBox" Width="70px" MaxLength="10" TabIndex="105"></asp:TextBox>
            </div>
            <div style="float:left; width:24px; padding-top:3px; height:18px" class="label">
                liter
            </div>
            <br style="clear:both;" />

            <div style="float:left; width:76px; padding-top:3px; height:18px" class="label">

                <div style="float:left;">Bundslam:</div>
                <div id="star_ReportBottomSludge" style="float:left; color:Red; display:block;">*</div>
                <br style="clear:both;" />

            </div>
            <div style="float:left; width:80px; height:20px; padding-top:1px;">
                <asp:TextBox ID="TextBox_ReportBottomSludge" runat="server" CssClass="textBox" Width="70px" MaxLength="10" TabIndex="104"></asp:TextBox>
            </div>
            <div style="float:left; width:70px; padding-top:3px; height:18px" class="label">
                cm
            </div>
            <div style="float:left; width:100px; padding-top:3px; height:18px" class="label">
                Fyldningsgrad:
            </div>
            <div style="float:left; width:104px; height:20px; padding-top:1px;">
                <asp:DropDownList ID="DropDownList_ReportFillDegree" runat="server" CssClass="dropDownList" Width="74px" TabIndex="106"></asp:DropDownList>
            </div>
            <br style="clear:both;" />


            <div style="float:left; width:104px; padding-top:14px; height:18px;" class="label">
                Aflsningssted:
            </div>
            <div style="float:left; width:326px; height:20px; padding-top:11px;">
                <asp:DropDownList ID="DropDownList_ReportDumpId" runat="server" CssClass="dropDownList" Width="296px" TabIndex="107"></asp:DropDownList>
            </div>
            <br style="clear:both" />

            <div style="float:right; height:21px; padding-top:10px; padding-right:31px;">
                <button id="Button_SaveQuickInspection" class="button" type="button" onclick="SaveQuickInspection()" tabindex="108">Gem</button>
                <button id="Button_CancelQuickInspection" class="button" type="button" onclick="HideCalendar();CloseWindow('dialog_quickInspection');" tabindex="109">Annullr</button>
            </div>
            <br style="clear:both;" />
            
       </div>

    </div>

    <!-- Calender -->

    <div id="divCalendar" class="boxColor" style="width:155px; display:none; border-right: blue 1px solid; border-top: blue 1px solid; border-left: blue 1px solid; border-bottom: blue 1px solid; padding-right: 2px; padding-left: 2px; padding-bottom: 2px; padding-top: 2px; float: none; z-index: 1; position: absolute; left: 670px; top: 100px;" runat="server">

        <div style="float:left"><input id="ButtonCalPrevMonth" class="monthButtonStyle" type="button" value="<" onclick="return GetMonth(-1)" /></div>
        <div id="divCalMonth" style="float:left;width:113px;height:17px;text-align:center; margin-top: 3px;" runat="server">Current Month</div>
        <div style="float:left"><input id="ButtonCalNextMonth" class="monthButtonStyle" type="button" value=">" onclick="return GetMonth(1)" /></div>
        <br style="clear:both" />
        
        <div class="dayText">ma</div>
        <div class="dayText">ti</div>
        <div class="dayText">on</div>
        <div class="dayText">to</div>
        <div class="dayText">fr</div>
        <div class="dayText" style="color:gray;">l</div>
        <div class="dayText" style="color:gray;">s</div>
        <br style="clear:both" />
        
        <script language="javascript" type="text/javascript">
        var count = 0;
        
        for(var i = 1; i < 43; i++)
        {
            count++;
            
            if((count == 6) || (count == 7))
            {
                document.write('<div class="weekColor" style="float:left"><input id="ButtonCal' + i.toString() + '" class="dayButtomStyle" type="button" value="00" onclick="DatePressed(' + i.toString() + ');" onmouseover="MouseOverButton(this)" onmouseout="MouseOutButton(this)" /></div>');
            
                if(count == 7)
                {
                    document.write('<br style="clear:both" />');
                    count = 0;
                }
            }
            else
            {
                document.write('<div style="float:left"><input id="ButtonCal' + i.toString() + '" class="dayButtomStyle" type="button" value="00" onclick="DatePressed(' + i.toString() + ');" onmouseover="MouseOverButton(this)" onmouseout="MouseOutButton(this)" /></div>');
            }
        }

        </script>
       
    </div>

    <div id="div_wait" style="display:none; position:absolute; top:0px; left:0px; z-index: 1;">
        <img alt="" src="wait.gif" />
    </div>

    <asp:HiddenField ID="HiddenField_MinMandatoryFieldsEnabled" runat="server" />
    
    </form>
</body>
</html>
