<%@ page language="C#" autoeventwireup="true" inherits="NewTank, App_Web_kj893aaw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>GeoEnviron WEB - Tmning af spildevandstanke</title>
    <link rel="SHORTCUT ICON" href="GEIcon.ico" />
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptMain_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptAddress_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWait_v116.js"></script>

    <script language="javascript" type="text/javascript">

    //MAP

    var map;
    var site_latlng;
    
    function TransferPoint(lat, lng)
    {
        var floatLat = parseFloat(lat).toFixed(6);
        var floatLng = parseFloat(lng).toFixed(6);
    
        document.getElementById('TextBox_TankLat').value = floatLat.toString().replace('.', ',');
        document.getElementById('TextBox_TankLng').value = floatLng.toString().replace('.', ',');
    }
    
    function initialize()
    {
        if (GBrowserIsCompatible())
        {
            //Map
            map = new GMap2(document.getElementById("map_canvas"));
            map.setCenter(new GLatLng(56.2, 10.4), 6);
            map.setUIToDefault();

            map.removeMapType(G_NORMAL_MAP);
            map.removeMapType(G_SATELLITE_MAP);
            map.addMapType(G_SATELLITE_MAP);
            map.addMapType(G_NORMAL_MAP);
            
            if(document.getElementById('HiddenField_SiteLat').value.length > 0)
            {
                DisplayIcons();
                document.getElementById('TextBox_TankManufactor').focus();
            }
            else
            {
                document.getElementById('TextBox_Address').focus();
            }
        }
    }
    
    function DisplayIcons()
    {
        map.clearOverlays();

        //Icons
        var iconPathArray = new Array();
        iconPathArray[0] = 'Icons/house.png';
        iconPathArray[1] = 'Icons/tank.png';

        var markerArray = new Array();

        for(var i = 0; i < iconPathArray.length; i++)
        {
            var myGIcon = new GIcon(G_DEFAULT_ICON);
            myGIcon.image = iconPathArray[i];
            markerArray[i] = { icon:myGIcon };
        }

        //Create marker
        function createMarker(latlng, number, marker)
        {
            var marker = new GMarker(latlng, marker);
            marker.value = number;
            return marker;
        }

        var site_lat = document.getElementById('HiddenField_SiteLat').value;
        var site_lng = document.getElementById('HiddenField_SiteLng').value;

        //Show site icon
        site_latlng = new GLatLng(site_lat, site_lng);
        map.addOverlay(createMarker(site_latlng, 'site', markerArray[0]));
        
        //Click event
        GEvent.addListener(map, "click", function(overlay, tank_latlng)
        {
            if (tank_latlng)
            {
                map.clearOverlays();
                map.addOverlay(createMarker(site_latlng, 'site', markerArray[0]));
                map.addOverlay(createMarker(tank_latlng, 'tank', markerArray[1]));
        
                TransferPoint(tank_latlng.lat(), tank_latlng.lng());
            }
        });
        
        map.setCenter(site_latlng, 17);
    }


    //Callback
    var callbackSend = 0;

    function GetAddresses(value)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetAddresses:" + value;
            var context = new Object();
            context.CommandName = "GetAddresses";
            <%=_callbackstr %>
        }    
    }

    function SetAddresses(result)
    {
        var dropDown = document.getElementById('SelectAddress');
        dropDown.options.length = 0;
        var split = result.split('\t');
        var count = 1;
        
        for(var i = 0; i < split[0]; i++)
        {
            AddDropDownListItem(dropDown, split[count], split[count + 1]);
            count += 2;
        }
        
        if(split[0] > 0)
        {
            if(split[0] < 3)
            {
                dropDown.size = 2;
            }
            else if(split[0] > 4)
            {
                dropDown.size = 5;
            }
            else
            {
                dropDown.size = split[0];
            }

            dropDown.style.display = 'block';
        }
        else
        {
            dropDown.style.display = 'none';
        }
    }

    function GetSpecificAddress(site_seq_no)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetSpecificAddress:" + site_seq_no;
            var context = new Object();
            context.CommandName = "GetSpecificAddress";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetSpecificAddress(result)
    {
        var split = result.split('\t');
    
        document.getElementById('div_name').innerHTML = split[0]; 
        document.getElementById('div_address').innerHTML = split[1]; 
        document.getElementById('div_zip').innerHTML = split[2]; 
        document.getElementById('div_town').innerHTML = split[3];

        document.getElementById('HiddenField_SiteLng').value = split[4];
        document.getElementById('HiddenField_SiteLat').value = split[5];
        DisplayIcons();
        
        document.getElementById('TextBox_TankManufactor').focus();
    }

    function GetSaveNewTank(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetSaveNewTank:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveNewTank";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetSaveNewTank(result)
    {
        var div_body = document.getElementById('div_body');
        div_body.style.fontSize = '10pt';
        div_body.style.fontWeight = 'bold';
        div_body.innerHTML = result;
    }

    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetCallBackTest": SetCallBackTest(result); break;
            case "GetAddresses": SetAddresses(result); break;
            case "GetSpecificAddress": SetSpecificAddress(result); break; 
            case "GetSaveNewTank": SetSaveNewTank(result); break;
        }
    }

    function OnError(message, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
        alert("Exception :\n" + message);
    }

    
    //Other functions
    
    function Button_SaveNewTank_OnClick()
    {
        if(document.getElementById('div_name').innerHTML.length == 0)
        {
            alert('Der er ikke valgt en adresse!');
            return;
        }
    
        var manufactor      = document.getElementById('TextBox_TankManufactor').value;
        var collectSettle   = document.getElementById('DropDownList_TankCollectSettle').value;
        var tanktype        = document.getElementById('DropDownList_TankTanktype').value;
        var formationYear   = document.getElementById('TextBox_TankFormationYear').value;
        var diameter        = document.getElementById('TextBox_TankDiameter').value;
        var depth           = document.getElementById('TextBox_TankDepth').value;
        var volume          = document.getElementById('TextBox_TankVolume').value;
        var lng             = document.getElementById('TextBox_TankLng').value;
        var lat             = document.getElementById('TextBox_TankLat').value;
        var comments        = document.getElementById('TextBox_TankComments').value;

        var readyToSave = true;
        var message = 'Flgende oplysninger mangler eller er ikke valide:';
/*        
        if(manufactor.length == 0)
        {
            message += '\n* Producent mangler';
            readyToSave = false;
        }
*/
        if((formationYear.length > 0) && ((!IsInteger(formationYear)) || (formationYear.length < 4)))
        {
            message += '\n* Etableringsr skal vre et heltal strre end 1000';
            readyToSave = false;
        }

        if((diameter.length > 0) && ((!IsDouble(diameter)) || (parseFloat(diameter.replace(',', '.')) > 99.99)))
        {
            message += '\n* Diameter skal vre et tal med , (komma) som desimaltegn og max 99,99. Fx. 10,2';
            readyToSave = false;
        }
        
        if((depth.length > 0) && ((!IsDouble(depth)) || (parseFloat(depth.replace(',', '.')) > 99.99)))
        {
            message += '\n* Dybde skal vre et tal med , (komma) som desimaltegn og max 99,99. Fx. 10,2';
            readyToSave = false;
        }
        
        if((!IsDouble(volume)) || (parseFloat(volume.replace(',', '.')) > 999999.99))
        {
            message += '\n* Volumen skal vre et tal med , (komma) som desimaltegn og max 999999,99. Fx. 10,2';
            readyToSave = false;
        }
/*        
        if((lng.length == 0) || (lat.length == 0))
        {
            message += '\n* Lngde-og breddegrad mangler. Klik p kortet!';
            readyToSave = false;
        }
*/        
        if(comments.length > 255)
        {
            message += '\n* Bemrkning m ikke vre p mere end 255 tegn';
            readyToSave = false;
        }
        
        if(!readyToSave)
        {
            alert(message);
            return;
        }
        
        var arguments = manufactor + '\t' + collectSettle + '\t' + tanktype + '\t' + formationYear + '\t' + diameter + '\t' + depth + '\t' + volume + '\t' + lng + '\t' + lat + '\t' + comments;
        GetSaveNewTank(arguments);
    }

    </script>

</head>
<body id="div_body" onload="initialize()" onunload="GUnload()">
    <form id="form1" runat="server">
    <div id="div_main" style="left: 10px; position: absolute; top: 10px; width: 910px;">

        <div id="div_image" runat="server" style="width:902px; height:96px; font-family:Verdana; font-size:8pt; background-image:url(Septic_sv.jpg);">
            
            <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="float:right; margin-top: 72px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>
            
        </div>

        <div style="width:910px;">
        <!-- hole Page start -->

            <div class="backgroundColor" style="float:left; width:881px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 9px; padding-left: 10px; padding-bottom: 6px; padding-top: 4px;">
            <!-- main Page start -->

                <div style="float:left; width:591px;">

                    <!-- Sg -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:24px; padding-left: 2px;">Sg</div>
                    <div style="float:left; width:545px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:569px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px; height: 63px;">
                    
                        <div id="div_searchText" runat="server" class="label" style="height:35px; padding-top:3px;">
                            Indtast vejnavn eller postnr. og vlg den adresse, hvorp der skal oprettes en ny tank, fra den fremkomne liste.
                        </div>

                        <div id="div_searchAddress" runat="server" class="label" style="float:left; width:57px; padding-top:7px; height: 18px;">
                            Adresse:
                        </div>
                        <div style="float:left; width:510px; height: 20px; padding-top: 5px;">
                            <asp:TextBox ID="TextBox_Address" runat="server" Width="498px" CssClass="textBox" AutoCompleteType="Disabled" MaxLength="80" ReadOnly="false" onkeydown="TextAddressKeyDown(this, event)"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />
                    
                    </div>
                
                </div>

                <div style="float:left; width:290px;">

                    <!-- Adresse -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:50px; padding-left: 2px;">Adresse</div>
                    <div style="float:left; width:227px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:277px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px; height: 63px;">
                    
                        <div class="labelReadOnly" style="float:left; width:75px; height:18px; padding-top:3px;">
                            Navn:
                        </div>
                        <div id="div_name" runat="server" class="textReadOnly" style="float:left; width:200px; height:18px; padding-top:3px;">
                        </div>
                        <br style="clear:both;" />

                        <div class="labelReadOnly" style="float:left; width:75px; height:18px; padding-top:3px;">
                            Adresse:
                        </div>
                        <div id="div_address" runat="server" class="textReadOnly" style="float:left; width:200px; height:18px; padding-top:3px;">
                        </div>
                        <br style="clear:both;" />

                        <div class="labelReadOnly" style="float:left; width:75px; height:18px; padding-top:3px;">
                            Postnr.:
                        </div>
                        <div id="div_zip" runat="server" class="textReadOnly" style="float:left; width:44px; height:18px; padding-top:3px;">
                        </div>
                        <div class="labelReadOnly" style="float:left; width:24px; height:18px; padding-top:3px;">
                            By:
                        </div>
                        <div id="div_town" runat="server" class="textReadOnly" style="float:left; width:132px; height:18px; padding-top:3px;">
                        </div>
                        <br style="clear:both;" />
                    
                    </div>
                
                </div>

                <br style="clear:both;" />


                <!-- Ny tank -->
                <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                <div class="labelHead" style="float:left; width:46px; padding-left: 2px;">Ny tank</div>
                <div style="float:left; width:822px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                <br style="clear:both;" />
                
                <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">
                
                    <div style="float:left; width:580px;">

                        <div id="map_canvas" style="width:568px; height:307px; border:solid 1px #7f9db9; margin-top:2px;">
                        </div>
                    
                    </div>
                    <div style="float:left; width:286px;">
            
                        <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                            Producent:
                        </div>
                        <div style="float:left; width:200px; height:20px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_TankManufactor" runat="server" Width="190px" CssClass="textBox" MaxLength="40" TabIndex="3"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />

                        <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                            Ordningstype:
                        </div>
                        <div style="float:left; width:200px; height:19px; padding-top:2px;">
                            <asp:DropDownList ID="DropDownList_TankCollectSettle" runat="server" CssClass="dropDownList" Width="194px" TabIndex="4"></asp:DropDownList>
                        </div>
                        <br style="clear:both;" />
                        
                        <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                            Tanktype:
                        </div>
                        <div style="float:left; width:200px; height:19px; padding-top:2px;">
                            <asp:DropDownList ID="DropDownList_TankTanktype" runat="server" CssClass="dropDownList" Width="194px" TabIndex="4"></asp:DropDownList>
                        </div>
                        <br style="clear:both;" />

                        <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                            Etableringsr:
                        </div>
                        <div style="float:left; width:200px; height:20px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_TankFormationYear" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="4" TabIndex="5"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />

                        <div style="height:6px;"></div>

                        <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                            Diameter:
                        </div>
                        <div style="float:left; width:60px; height:20px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_TankDiameter" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="5" TabIndex="6"></asp:TextBox>
                        </div>
                        <div class="label" style="float:left; width:140px; height:18px; padding-top:3px;">
                            meter
                        </div>
                        <br style="clear:both;" />

                        <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                            Dybde:
                        </div>
                        <div style="float:left; width:60px; height:20px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_TankDepth" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="5" TabIndex="7"></asp:TextBox>
                        </div>
                        <div class="label" style="float:left; width:140px; height:18px; padding-top:3px;">
                            meter
                        </div>
                        <br style="clear:both;" />

                        <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                            Volumen:
                        </div>
                        <div style="float:left; width:60px; height:20px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_TankVolume" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="9" TabIndex="8"></asp:TextBox>
                        </div>
                        <div class="label" style="float:left; width:140px; height:18px; padding-top:3px;">
                            liter
                        </div>
                        <br style="clear:both;" />

                        <div style="height:6px;"></div>

                        <div style="float:left; width:84px; height:30px; padding-top:3px; color:Red; font-weight:bold;">
                            OBS:
                        </div>
                        <div class="label" style="float:left; width:200px; height:30px; padding-top:3px;">
                            Klik p kortet til venstre for at angive placeringen af tanken.
                        </div>
                        <br style="clear:both;" />

                        <div style="height:6px;"></div>

                        <!-- X -->
                        <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                            Lngdegrad:
                        </div>
                        <div style="float:left; width:200px; height:20px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_TankLng" runat="server" Width="80px" CssClass="textBoxReadOnlyRight" ReadOnly="True" TabIndex="-1"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />

                        <!-- X -->
                        <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                            Breddegrad:
                        </div>
                        <div style="float:left; width:200px; height:20px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_TankLat" runat="server" Width="80px" CssClass="textBoxReadOnlyRight" ReadOnly="True" TabIndex="-1"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />
                        
                        <div style="height:6px;"></div>

                        <div class="label" style="float:left; width:84px; padding-top:3px; height: 62px;">
                            Bemrkning:
                        </div>
                        <div style="float:left; width:200px; height: 65px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_TankComments" runat="server" Width="190px" CssClass="textBox" AutoCompleteType="Disabled" Height="60px" TextMode="MultiLine" TabIndex="9"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />

                    </div>
                    <br style="clear:both;" />
                    
                    <div style="float:right; padding-top:10px; padding-right:9px;">
                        <input id="Button_SaveNewTank" runat="server" type="button" value="Gem" class="button" onclick="Button_SaveNewTank_OnClick()" />
                    </div>
                    <br style="clear:both;" />
                
                </div>

                <div style="width:300px; color:olive; font-size: 8pt; padding-top: 4px; height: 17px;">
                    Udviklet af Geokon A/S
                </div>

            <!-- main Page end -->
            </div>

        <!-- hole Page end -->
        </div>
        
        <div id="div_connectedTo" runat="server" style="color:Silver; font-size:7pt; font-family:Arial; padding-top:2px;">
            Connected to: NOT CONNECTED
        </div>    
        
    </div>

    <div id="divSelectingNumber" style="display:none; width: 131px; height: 20px; background-color: #ffff00; left: 9px; position: absolute; top: 7px;">
        selectingNumber = 0
    </div>
    
    <select id="SelectAddress" class="dropDownList" style="width:502px; display:none; position: absolute; left: 89px; top: 191px; z-index: 1;" size="5" runat="server" onclick="SelectedAddressClick(this)" onkeydown="SelectedAddressKeyDown(this, event)">
    </select>

    <div id="div_wait" style="display:none; position:absolute; top:0px; left:0px; z-index: 1;">
        <img alt="" src="wait.gif" />
    </div>

    <asp:HiddenField ID="HiddenField_SiteLat" runat="server" />
    <asp:HiddenField ID="HiddenField_SiteLng" runat="server" />

    </form>
</body>
</html>
