<%@ page language="C#" autoeventwireup="true" inherits="ReportNewTank, App_Web_kj893aaw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>GeoEnviron WEB - Tmning af spildevandstanke</title>
    <link rel="SHORTCUT ICON" href="GEIcon.ico" />
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptWait_v116.js"></script>

    <script language="javascript" type="text/javascript">

    var map;
    var site_latlng;
    
    function TransferPoint(lat, lng)
    {
        var floatLat = parseFloat(lat).toFixed(6);
        var floatLng = parseFloat(lng).toFixed(6);
    
        document.getElementById('TextBox_TankLat').value = floatLat.toString().replace('.', ',');
        document.getElementById('TextBox_TankLng').value = floatLng.toString().replace('.', ',');
        
        Page_ClientValidate();
    }
    
    function initialize()
    {
        if (GBrowserIsCompatible())
        {
            //Icons
            var iconPathArray = new Array();
            iconPathArray[0] = 'Icons/house.png';
            iconPathArray[1] = 'Icons/tank.png';

            var markerArray = new Array();

            for(var i = 0; i < iconPathArray.length; i++)
            {
                var myGIcon = new GIcon(G_DEFAULT_ICON);
                myGIcon.image = iconPathArray[i];
                markerArray[i] = { icon:myGIcon };
            }
            
            //Create marker
            function createMarker(latlng, number, marker)
            {
                var marker = new GMarker(latlng, marker);
                marker.value = number;
                return marker;
            }

            var site_lat = document.getElementById('HiddenField_SiteLat').value;
            var site_lng = document.getElementById('HiddenField_SiteLng').value;
            
            //Map
            map = new GMap2(document.getElementById("map_canvas"));
            map.setCenter(new GLatLng(site_lat, site_lng), 17);
            map.setUIToDefault();
            map.removeMapType(G_NORMAL_MAP);
            map.removeMapType(G_SATELLITE_MAP);
            map.addMapType(G_SATELLITE_MAP);
            map.addMapType(G_NORMAL_MAP);
            //map.addControl(new GMapTypeControl());

            //Show site icon
            site_latlng = new GLatLng(site_lat, site_lng);
            map.addOverlay(createMarker(site_latlng, 'site', markerArray[0]));
            
            //Click event
            GEvent.addListener(map, "click", function(overlay, tank_latlng)
            {
                if (tank_latlng)
                {
                    map.clearOverlays();
                    map.addOverlay(createMarker(site_latlng, 'site', markerArray[0]));
                    map.addOverlay(createMarker(tank_latlng, 'tank', markerArray[1]));
            
                    TransferPoint(tank_latlng.lat(), tank_latlng.lng());
                }
            });
        }
    }

    function OnLoad()
    {
        if(document.getElementById('div_main').style.display == 'block')
        {
            document.getElementById('TextBox_ContactPhone').focus();
        }
    }

    function Report()
    {
        if(Page_ClientValidate().toString() == 'false')
        {
            alert('Anmeldelsen kan ikke gennemfres, fordi der mangler\npkrvet data eller fordi data ikke er gyldigt.\n\nSe de rde tekster til hjre i skrmbilledet.');
            return;
        }

        var name            = document.getElementById('HiddenField_SiteName').value;
        var address         = document.getElementById('div_contactAddress').innerHTML;
        var zip             = document.getElementById('div_contactZip').innerHTML;
        var town            = document.getElementById('div_contactTown').innerHTML;
        var phone           = document.getElementById('TextBox_ContactPhone').value;
        var email           = document.getElementById('TextBox_ContactEmail').value;
        var manufactor      = document.getElementById('TextBox_TankManufactor').value;
        var tanktypeObj     = document.getElementById('DropDownList_TankTanktype');
        var tanktype        = tanktypeObj.options[tanktypeObj.selectedIndex].text;
        var formationYear   = document.getElementById('TextBox_TankFormationYear').value;
        var diameter        = document.getElementById('TextBox_TankDiameter').value;
        var depth           = document.getElementById('TextBox_TankDepth').value;
        var volume          = document.getElementById('TextBox_TankVolume').value;
        var lng             = document.getElementById('TextBox_TankLng').value;
        var lat             = document.getElementById('TextBox_TankLat').value;
        var comments        = document.getElementById('TextBox_TankComments').value;
        
        var arguments = name + '\t' + address + '\t' + zip + '\t' + town + '\t' + phone + '\t' + email + '\t' + manufactor + '\t' + tanktype + '\t' + formationYear + '\t' + diameter + '\t' + depth + '\t' + volume + '\t' + lng + '\t' + lat + '\t' + comments;
        GetReport(arguments);
    }
    
    //Callback
    var callbackSend = 0;

    function GetCallBackTest()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetCallBackTest:";
            var context = new Object();
            context.CommandName = "GetCallBackTest";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetCallBackTest(result)
    {
        alert(result);
    }

    function GetReport(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetReport:" + arguments;
            var context = new Object();
            context.CommandName = "GetReport";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetReport(result)
    {
        var div_body = document.getElementById('div_body');
        div_body.style.fontSize = '10pt';
        div_body.style.fontWeight = 'bold';
        div_body.innerHTML = result;
    }
    
    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetCallBackTest": SetCallBackTest(result); break;
            case "GetReport": SetReport(result); break;
        }
    }

    function OnError(message, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
        alert("Exception :\n" + message);
    }
    
    </script>

</head>
<body id="div_body" onload="initialize(); OnLoad();" onunload="GUnload()">
    <form id="form1" runat="server">
    <div id="div_error" runat="server" style="color:Red; display:none;">
        ERROR: WRONG USE OF PAGE
    </div>
    <div id="div_main" runat="server" style="left: 10px; position: absolute; top: 10px; width: 910px; display:block;">

        <div id="div_image" runat="server" style="width:902px; height:96px; font-family:Verdana; font-size:8pt; background-image:url(Septic_sv.jpg);">
            
            <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="float:right; margin-top: 72px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>
            
        </div>

        <div style="width:910px;">
        <!-- hole Page start -->

            <div class="backgroundColor" style="width:890px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 0px; padding-left: 10px; padding-bottom: 6px; padding-top: 4px;">
            <!-- main Page start -->
            
                <!-- Information -->
                <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                <div class="labelHead" style="float:left; width:70px; padding-left: 2px;">Information</div>
                <div style="float:left; width:798px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                <br style="clear:both;" />
                
                <div style="width:868px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px; line-height:18px;">

                    <div style="font-size:11pt; padding-bottom:4px;">
                        Anmeldelse af ny tank.
                    </div>

                    <div style="float:left; width:267px;">
                        Udfyld felterne nedenfor for at anmelde en ny tank. Felterne Lngdegrad og Breddegrad, der angiver hvor tanken er placeret, udfyldes
                     </div>
                    <div style="float:left; width:266px; padding-left:30px;">
                        automatisk, nr der klikkes p kortet.<br />
                        Nr <strong>ALLE</strong> felterne er udfyldt, klikkes der p Anmeld knappen nederst p siden. Herved
                    </div>
                    <div style="float:left; width:267px; padding-left:30px;">
                        sendes de indtastede oplysninger til kommunen, der vil behandle anmeldelsen hurtigst muligt.
                     </div>
                    <br style="clear:both;" />
                    
                </div>


                <div style="float:left; width:595px;">

                    <!-- Kontakt oplysninger -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:116px; padding-left: 2px;">Kontakt oplysninger</div>
                    <div style="float:left; width:458px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:574px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">
                    
                        <div class="labelReadOnly" style="float:left; width:60px; height:18px; padding-top:3px;">
                            Adresse:
                        </div>
                        <div id="div_contactAddress" runat="server" class="textReadOnly" style="float:left; width:226px; height:18px; padding-top:3px;">
                            address
                        </div>
                        <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                            Tlf./Mobil:
                        </div>
                        <div style="float:left; width:200px; height:20px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_ContactPhone" runat="server" Width="190px" CssClass="textBox" MaxLength="15" TabIndex="1"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />

                        <div class="labelReadOnly" style="float:left; width:60px; height:18px; padding-top:3px;">
                            Postnr.:
                        </div>
                        <div id="div_contactZip" runat="server" class="textReadOnly" style="float:left; width:40px; height:18px; padding-top:3px;">
                            zip
                        </div>
                        <div class="labelReadOnly" style="float:left; width:26px; height:18px; padding-top:3px;">
                            By:
                        </div>
                        <div id="div_contactTown" runat="server" class="textReadOnly" style="float:left; width:160px; height:18px; padding-top:3px;">
                            town
                        </div>
                        <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                            E-mail:
                        </div>
                        <div style="float:left; width:200px; height:20px; padding-top:1px;">
                            <asp:TextBox ID="TextBox_ContactEmail" runat="server" Width="190px" CssClass="textBox" MaxLength="60" TabIndex="2"></asp:TextBox>
                        </div>
                        <br style="clear:both;" />
                    
                    </div>

                    <!-- Ny tank -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:46px; padding-left: 2px;">Ny tank</div>
                    <div style="float:left; width:528px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:574px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">
                    
                        <div style="float:left; width:286px;">

                            <div id="map_canvas" style="width:275px; height:287px; border:solid 1px #7f9db9; margin-top:2px;">
                            </div>
                        
                        </div>
                        <div style="float:left; width:286px;">
                
                            <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                                Producent:
                            </div>
                            <div style="float:left; width:200px; height:20px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_TankManufactor" runat="server" Width="190px" CssClass="textBox" MaxLength="40" TabIndex="3"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                            
                            <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                                Tanktype:
                            </div>
                            <div style="float:left; width:200px; height:19px; padding-top:2px;">
                                <asp:DropDownList ID="DropDownList_TankTanktype" runat="server" CssClass="dropDownList" Width="194px" TabIndex="4"></asp:DropDownList>
                            </div>
                            <br style="clear:both;" />

                            <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                                Etableringsr:
                            </div>
                            <div style="float:left; width:200px; height:20px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_TankFormationYear" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="4" TabIndex="5"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />

                            <div style="height:6px;"></div>

                            <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                                Diameter:
                            </div>
                            <div style="float:left; width:60px; height:20px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_TankDiameter" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="7" TabIndex="6"></asp:TextBox>
                            </div>
                            <div class="label" style="float:left; width:140px; height:18px; padding-top:3px;">
                                cm
                            </div>
                            <br style="clear:both;" />

                            <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                                Dybde:
                            </div>
                            <div style="float:left; width:60px; height:20px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_TankDepth" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="7" TabIndex="7"></asp:TextBox>
                            </div>
                            <div class="label" style="float:left; width:140px; height:18px; padding-top:3px;">
                                cm
                            </div>
                            <br style="clear:both;" />

                            <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                                Volumen:
                            </div>
                            <div style="float:left; width:60px; height:20px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_TankVolume" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="10" TabIndex="8"></asp:TextBox>
                            </div>
                            <div class="label" style="float:left; width:140px; height:18px; padding-top:3px;">
                                liter
                            </div>
                            <br style="clear:both;" />

                            <div style="height:6px;"></div>

                            <div style="float:left; width:84px; height:30px; padding-top:3px; color:Red; font-weight:bold;">
                                OBS:
                            </div>
                            <div class="label" style="float:left; width:200px; height:30px; padding-top:3px;">
                                Klik p kortet til venstre for at angive placeringen af tanken.
                            </div>
                            <br style="clear:both;" />

                            <div style="height:6px;"></div>

                            <!-- X -->
                            <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                                Lngdegrad:
                            </div>
                            <div style="float:left; width:200px; height:20px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_TankLng" runat="server" Width="80px" CssClass="textBoxReadOnlyRight" ReadOnly="True" TabIndex="-1"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />

                            <!-- X -->
                            <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                                Breddegrad:
                            </div>
                            <div style="float:left; width:200px; height:20px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_TankLat" runat="server" Width="80px" CssClass="textBoxReadOnlyRight" ReadOnly="True" TabIndex="-1"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />
                            
                            <div style="height:6px;"></div>

                            <div class="label" style="float:left; width:84px; padding-top:3px; height: 62px;">
                                Bemrkning:
                            </div>
                            <div style="float:left; width:200px; height: 65px; padding-top:1px;">
                                <asp:TextBox ID="TextBox_TankComments" runat="server" Width="190px" CssClass="textBox" AutoCompleteType="Disabled" Height="60px" TextMode="MultiLine" TabIndex="9"></asp:TextBox>
                            </div>
                            <br style="clear:both;" />

                        </div>
                        <br style="clear:both;" />
                    
                    </div>

                </div>

                <div style="float:left; width:290px;">

                    <!-- Info -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: gray 1px solid; border-left: gray 1px solid; height: 6px;"></div>
                    <div class="labelReadOnly" style="float:left; width:26px; padding-left: 2px;">Info</div>
                    <div style="float:left; width:247px; border-right: gray 1px solid; border-top: gray 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:273px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px; height: 365px;">

                        <div style="height:18px; padding-top:3px;">                
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator_ContactPhone" runat="server" ControlToValidate="TextBox_ContactPhone" Display="Dynamic" Font-Names="Verdana" Font-Size="8pt">&lt;- Tlf./Mobil mangler</asp:RequiredFieldValidator>
                            <asp:RegularExpressionValidator ID="RegularExpressionValidator_ContactPhone" runat="server" ControlToValidate="TextBox_ContactPhone" Display="Dynamic" Font-Names="Verdana" Font-Size="8pt" ValidationExpression="\d{2} \d{2} \d{2} \d{2}|\d{4} \d{4}|\d{8}">&lt;- Ikke korrekt Tlf./Mobil</asp:RegularExpressionValidator>
                        </div>

                        <div style="height:18px; padding-top: 3px;">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator_ContactEmail" runat="server" ControlToValidate="TextBox_ContactEmail" Display="Dynamic"><- E-mail mangler</asp:RequiredFieldValidator>
                            <asp:RegularExpressionValidator ID="RegularExpressionValidator_ContactEmail" runat="server" ControlToValidate="TextBox_ContactEmail" Display="Dynamic" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"><- Ikke en E-mail</asp:RegularExpressionValidator>
                        </div>

                        <div style="height:32px"></div>

                        <div style="height:18px; padding-top: 3px;">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator_TankManufactor" runat="server" ControlToValidate="TextBox_TankManufactor" Display="Dynamic"><- Producent mangler</asp:RequiredFieldValidator>
                        </div>

                        <div style="height:18px; padding-top: 3px;">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator_TankTanktype" runat="server" ControlToValidate="DropDownList_TankTanktype" Display="Dynamic" InitialValue="null"><- Tanktype mangler</asp:RequiredFieldValidator>
                        </div>

                        <div style="height:18px; padding-top: 3px;">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator_TankFormationYear" runat="server" ControlToValidate="TextBox_TankFormationYear" Display="Dynamic"><- Etableringsr mangler</asp:RequiredFieldValidator>
                            <asp:RangeValidator ID="RangeValidator_TankFormationYear" runat="server" ControlToValidate="TextBox_TankFormationYear" Display="Dynamic" MaximumValue="2100" MinimumValue="1800" Type="Integer"><- Ikke korrekt etableringsr</asp:RangeValidator>
                        </div>

                        <div style="height:6px;"></div>

                        <div style="height:18px; padding-top: 3px;">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator_TankDiameter" runat="server" ControlToValidate="TextBox_TankDiameter" Display="Dynamic"><- Diameter mangler</asp:RequiredFieldValidator>
                            <asp:RangeValidator ID="RangeValidator_TankDiameter" runat="server" ControlToValidate="TextBox_TankDiameter" Display="Dynamic" MaximumValue="5000,00" MinimumValue="0,01" Type="Double"><- Ugyldig angivelse af diameter</asp:RangeValidator>
                        </div>

                        <div style="height:18px; padding-top: 3px;">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator_TankDepth" runat="server" ControlToValidate="TextBox_TankDepth" Display="Dynamic"><- Dybde mangler</asp:RequiredFieldValidator>
                            <asp:RangeValidator ID="RangeValidator_TankDepth" runat="server" ControlToValidate="TextBox_TankDepth" Display="Dynamic" MaximumValue="5000,00" MinimumValue="0,01" Type="Double"><- Ugyldig angivelse af dybde</asp:RangeValidator>
                        </div>

                        <div style="height:18px; padding-top: 3px;">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator_TankVolume" runat="server" ControlToValidate="TextBox_TankVolume" Display="Dynamic"><- Volumen mangler</asp:RequiredFieldValidator>
                            <asp:RangeValidator ID="RangeValidator_TankVolume" runat="server" ControlToValidate="TextBox_TankVolume" Display="Dynamic" MaximumValue="2000000,00" MinimumValue="0,01" Type="Double"><- Ugyldig angivelse af Volumen</asp:RangeValidator>
                        </div>

                        <div style="height:45px;"></div>

                        <div style="height:18px; padding-top: 3px;">
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator_TankLng" runat="server" ControlToValidate="TextBox_TankLng" Display="Dynamic"><- Angivelse af lngde-og breddegrad<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;mangler (klik p kortet!)</asp:RequiredFieldValidator>
                        </div>

                    </div>

                </div>
                <br style="clear:both;" />
                
                <div style="float:left; width:300px; color:olive; font-size: 8pt; padding-top: 3px; height: 18px;">
                    Udviklet af Geokon A/S
                </div>
                <div style="float:left; width:287px; text-align: right;">
                    <input id="Button_Report" type="button" value="Anmeld" class="button" onclick="Report()" />
                </div>
                <br style="clear:both;" />

            <!-- main Page end -->
            </div>

        <!-- hole Page end -->
        </div>
        
        <div id="div_connectedTo" runat="server" style="color:Silver; font-size:7pt; font-family:Arial; padding-top:2px;">
            Connected to: NOT CONNECTED
        </div>    
        
    </div>    

    <div id="div_wait" style="display:none; position:absolute; top:0px; left:0px; z-index: 1;">
        <img alt="" src="wait.gif" />
    </div>

    <asp:HiddenField ID="HiddenField_SiteName" runat="server" />
    <asp:HiddenField ID="HiddenField_SiteLat" runat="server" />
    <asp:HiddenField ID="HiddenField_SiteLng" runat="server" />

    </form>
</body>
</html>
