<%@ page language="C#" autoeventwireup="true" inherits="RoutePlanning, App_Web_kj893aaw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>GeoEnviron WEB - Tmning af spildevandstanke</title>
    <link rel="SHORTCUT ICON" href="GEIcon.ico" />
    <link rel="stylesheet" type="text/css" href="styleSheet.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptMain_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWindowMove_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWait_v116.js"></script>

    <script language="javascript" type="text/javascript">

    //Google map
    var map;

    function DisplayIcons(values)
    {
        map.clearOverlays();

        var message = new Array();
        message = values.split('$');
        
        if(message[0] == 0)
        {
            map.setCenter(new GLatLng(56, 10.4), 6);
            return;
        }
    
        //Icons
        var myGIcon = new GIcon(G_DEFAULT_ICON);
        myGIcon.image = 'Icons/house.png';
        var marker = { icon:myGIcon };

        // Creates a marker at the given point
        // Clicking the marker will hide it
        function createMarker(latlng, number, msg, marker)
        {
            var marker = new GMarker(latlng, marker);
            marker.value = number;
            GEvent.addListener(marker,"click", function() { map.openInfoWindowHtml(latlng, msg); });
            return marker;
        }

        //Ractangle for computing map center and zoom level.
        var bounds = new GLatLngBounds();
        
        // Put messages on map
        for (var i = 0; i < message[0]; i++)
        {
            var split = message[i + 1].split('');
            var id = split[0];
            var longitude = split[1]; //X
            var latitude = split[2]; //Y
            var msg = split[3];
            var icon = split[4];
            
            //var marker = markerArray[icon];
        
            var latlng = new GLatLng(latitude, longitude);
            bounds.extend(latlng);
            map.addOverlay(createMarker(latlng, id, msg, marker));
        }

        var zoomLevel = map.getBoundsZoomLevel(bounds) - 1;

        if(zoomLevel > 18)
        {
            zoomLevel = 18;
        }

        map.setCenter(bounds.getCenter(), zoomLevel);
    }

    function initialize()
    {
        if (GBrowserIsCompatible())
        {
            //Map
            map = new GMap2(document.getElementById("map_canvas"));
            map.setCenter(new GLatLng(56, 10.4), 6);
            map.setUIToDefault();

            map.removeMapType(G_NORMAL_MAP);
            map.removeMapType(G_SATELLITE_MAP);
            map.addMapType(G_SATELLITE_MAP);
            map.addMapType(G_NORMAL_MAP);
            map.addControl(new GMapTypeControl());
        }
    }


    //Callback
    var callbackSend = 0;

    function GetCallBackTest()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetCallBackTest:";
            var context = new Object();
            context.CommandName = "GetCallBackTest";
            <%=_callbackstr %>
        }    
    }
    
    function SetCallBackTest(result)
    {
        alert(result);
    }
    
    function GetDistricts(address_seq_no)
    {
        if(address_seq_no.length == 0)
        {
            document.getElementById('Button_RouteCreate').disabled = 'disabled';        
            document.getElementById('Button_RouteEdit').disabled = 'disabled';        
            document.getElementById('Button_RouteDelete').disabled = 'disabled';        
        
            alert('Ingen entreprenrfirmaer defineret!');
            return;
        }
    
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetDistricts:" + address_seq_no;
            var context = new Object();
            context.CommandName = "GetDistricts";
            <%=_callbackstr %>
        }    
    }
    
    function SetDistricts(result)
    {
        var split = result.split('\t');
        
        var obj = document.getElementById('DropDownList_District');
        obj.options.length = 0;        
        
        for(var i = 0; i < split[0]; i++)
        {
            AddDropDownListItem(obj, split[i * 2 + 1], split[i * 2 + 2]);
        }
        
        if(split[0] > 0)
        {
            var j = split[0] * 2 + 1;
            var resultRoutes = split[j];
            
            for(var i = j + 1; i < split.length; i++)
            {
                resultRoutes += '\t' + split[i];
            }
        
            SetRoutes(resultRoutes);
        }
    }
    
    function GetRoutes(district_code)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetRoutes:" + district_code;
            var context = new Object();
            context.CommandName = "GetRoutes";
            <%=_callbackstr %>
        }    
    }
    
    function SetRoutes(result)
    {
        var split = result.split('\t');
        document.getElementById('div_routes').innerHTML = split[0];
        
        if(split.length > 1)
        {
            var resultMap = split[1];
        
            for(var i = 2; i < split.length; i++)
            {
                resultMap += '\t' + split[i];
            }
            
            SetMap(resultMap);
        }
    }

    function GetMap(route_seq_no)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetMap:" + route_seq_no;
            var context = new Object();
            context.CommandName = "GetMap";
            <%=_callbackstr %>
        }    
    }
    
    function SetMap(result)
    {
        var split = result.split('\t');

        DisplayIcons(split[0]);
        DisplayList(split[1]);
    }
    
    function DisplayList(result)
    {
        document.getElementById('list_canvas').innerHTML = result;
    }
    
    function GetRouteElements()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetRouteElements:";
            var context = new Object();
            context.CommandName = "GetRouteElements";
            <%=_callbackstr %>
        }    
    }
    
    function SetRouteElements(result)
    {
        var split = result.split('\t');
        document.getElementById('TextBox_RouteName').value = split[0];
        document.getElementById('DropDownList_WeekBegin').value = split[1];
        document.getElementById('DropDownList_WeekEnd').value = split[2];

        document.getElementById('TextBox_Address').value = '';
        document.getElementById('DropDownList_Address').options.length = 0;
        
        var addressRoute = document.getElementById('DropDownList_AddressRoute');
        addressRoute.options.length = 0;
        var offset = 4;
        
        for(var i = 0; i < split[3]; i++)
        {
            AddDropDownListItem(addressRoute, split[i * 2 + offset], split[i * 2 + offset + 1]);
        }
        
        
        DisableDivElements(document.getElementById('div_main'), true);
        document.getElementById('dialog_route_header').innerHTML = '&nbsp;Redigr Rute';

        var dlg = document.getElementById('dialog_route');
        dlg.style.left = '134px';
        dlg.style.top = '184px';
        dlg.style.display = 'block';

        document.getElementById('TextBox_RouteName').focus();
    }

    function GetRouteSave(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetRouteSave:" + arguments;
            var context = new Object();
            context.CommandName = "GetRouteSave";
            <%=_callbackstr %>
        }    
    }
    
    function SetRouteSave(result)
    {
        if(result.substr(0, 5) == 'ERROR')
        {
            alert(result);
            return;
        }
    
        SetRoutes(result);
        CloseWindow('dialog_route');
    }
    
    function GetRouteDelete()
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetRouteDelete:";
            var context = new Object();
            context.CommandName = "GetRouteDelete";
            <%=_callbackstr %>
        }    
    }
    
    function SetRouteDelete(result)
    {
        SetRoutes(result);
    }
    
    function GetAddresses(argument)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);
        
            var Command = "GetAddresses:" + argument;
            var context = new Object();
            context.CommandName = "GetAddresses";
            <%=_callbackstr %>
        }    
    }
    
    function SetAddresses(result)
    {
        var split = result.split('\t');
    
        if(split[0] == '0')
        {
            alert('Sgningen gav intet resultat!');
            return;
        }
        
        var objAdd = document.getElementById('DropDownList_Address');
        objAdd.options.length = 0;

        for(var i = 0; i < split[0]; i++)
        {
            AddDropDownListItem(objAdd, split[i * 2 + 1], split[i * 2 + 2]);
        }
        
        if(split[0] == '100')
        {
            var info =  'Sgningen gav mere end 100 adresser.\n' +
                        'Kun de frste 100 adresser blev hentet og vist i listen.\n' +
                        'Du kan begrnse sgningen ved at skrive en del af\nadressen i adresse-feltet. F.eks. et postnummer.';
            alert(info);
        }
    }
    
    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetCallBackTest": SetCallBackTest(result); break;
            case "GetDistricts": SetDistricts(result); break;
            case "GetRoutes": SetRoutes(result); break;
            case "GetMap": SetRoutes(result); break;
            
            case "GetRouteElements": SetRouteElements(result); break;
            
            case "GetAddresses": SetAddresses(result); break;
            case "GetRouteSave": SetRouteSave(result); break;
            case "GetRouteDelete": SetRouteDelete(result); break;
        }
    }

    function OnError(message, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
        alert("Exception :\n" + message);
    }
    
    
    //Other functions
    
    function windowopen()
    {
        var open = false;
    
        if(document.getElementById('dialog_route').style.display == 'block')
        {
            open = true;
        }

        if(open)
        {
            alert('Et vindue er bent!\nLuk vinduet og klik igen.');
            return true;
        }
        
        return false;
    }
    
    function CloseWindow(winId)
    {
        document.getElementById(winId).style.display = 'none';
        DisableDivElements(document.getElementById('div_main'), false);
        
        if(document.getElementById('keepFirmDisabled').innerHTML == '1')
        {
            document.getElementById('DropDownList_Firm').disabled = 'disabled';
        }
    }
    
    function Button_RouteCreate_OnClick()
    {
        if(windowopen())
        {
            return;
        }
        
        document.getElementById('TextBox_RouteName').value = '';
        document.getElementById('DropDownList_WeekBegin').selectedIndex = 0;
        document.getElementById('DropDownList_WeekEnd').selectedIndex = 0;

        document.getElementById('TextBox_Address').value = '';
        document.getElementById('DropDownList_Address').length = 0;
        document.getElementById('DropDownList_AddressRoute').length = 0;

        DisableDivElements(document.getElementById('div_main'), true);
        document.getElementById('dialog_route_header').innerHTML = '&nbsp;Opret Rute';

        var dlg = document.getElementById('dialog_route');
        dlg.style.left = '134px';
        dlg.style.top = '184px';
        dlg.style.display = 'block';

        document.getElementById('TextBox_RouteName').focus();
    }
    
    function Button_RouteEdit_OnClick()
    {
        if(windowopen())
        {
            return;
        }

        if(document.getElementById('div_routes').innerHTML == 'Ingen ruter')
        {
            alert('Ingen rute at redigere!');
            return;
        }
        
        GetRouteElements();
    }
    
    function Button_RouteDelete_OnClick()
    {
        if(windowopen())
        {
            return;
        }

        var routes = document.getElementById('div_routes');
    
        if(routes.innerHTML == 'Ingen ruter')
        {
            alert('Ingen rute at slette!');
            return;
        }
        
        var parent = routes.childNodes;
        
        for(var i = 0; i < parent.length; i++)
        {
            if(parent[i].className == 'recordMark')
            {
                if(!confirm('Du er ved at slette ruten: ' + parent[i].childNodes[0].innerHTML + '.\nEr du sikker p, at du vil slette denne rute?'))
                {
                    //Ruten skal IKKE slettes alligevel.
                    return;
                }
                
                break;
            }
        }
    
        GetRouteDelete();
    }
    
    function Button_RouteEditSave_OnClick()
    {
        var route_name   = document.getElementById('TextBox_RouteName').value;
        var week_begin   = document.getElementById('DropDownList_WeekBegin').value;
        var week_end     = document.getElementById('DropDownList_WeekEnd').value;

        if(route_name.length < 3)
        {
            alert('Rute-navn skal vre p mindst 3 bokstaver!');
            return;
        }

        if(week_begin > week_end)
        {
            alert('Start uge m ikke vre strre end slut uge!');
            return;
        }

        var obj = document.getElementById('DropDownList_AddressRoute');
        var elementCount = obj.options.length;
        var elements = '';
        
        for(var i = 0; i < elementCount; i++)
        {
            elements += '\t' + obj.options[i].value; 
        }

        var arguments = '\t' + route_name + '\t' + week_begin + '\t' + week_end + '\t' + elementCount + elements;
    
        if(document.getElementById('dialog_route_header').innerHTML == '&nbsp;Opret Rute')
        {//Create new route
            arguments = 'create' + arguments; 
        }
        else
        {//Edit existing route
            arguments = 'update' + arguments; 
        }
        
        GetRouteSave(arguments);
    }
    
    function Button_FetchAddresses_OnClick()
    {
        var onlyAddressNotInRoute = '0';
        if(document.getElementById('CheckBox_OnlyAddressNotInRoute').checked) { onlyAddressNotInRoute = '1'; }
        
        GetAddresses(onlyAddressNotInRoute + '\t' + document.getElementById('TextBox_Address').value);
    }
    
    function ArrowRight_OnClick()
    {
        var objAdd = document.getElementById('DropDownList_Address');
        var objAddRoute = document.getElementById('DropDownList_AddressRoute');
        var askUser = true;
        var elementSelected = false;

        for(var i = 0; i < objAdd.options.length; i++)
        {
            if(objAdd.options[i].selected)
            {
                elementSelected = true;
                var elementExists = false;
            
                for(var j = 0; j < objAddRoute.options.length; j++)
                {
                    if(objAdd.options[i].value == objAddRoute.options[j].value)
                    {
                        elementExists = true;
                        
                        if(askUser)
                        {
                            var question =  'ADVARSEL\n\n' +
                                            'n eller flere adresser findes allerede i ruten.\n' +
                                            'En rute kan ikke indeholde den samme adresse flere gange.\n\n' +
                                            'Klik "OK" for at overfre de valgte adresser der ikke allerede findes i ruten.\n' +
                                            'Klik "Annuller" for at annullere overfrslen.';
                        
                            if(!confirm(question))
                            {
                                return;
                            }
                            
                            askUser = false;
                        }
                        
                        break;
                    }
                }
                
                if(!elementExists)
                {
                    AddDropDownListItem(objAddRoute, objAdd.options[i].value, objAdd.options[i].text);
                }
            }
        }

        if(!elementSelected)
        {
            var info =  'INFORMATION\n\n' +
                        'Der blev ikke overfrt nogle adresser til ruten, idet ingen adresser var markeret.\n' +
                        'Markr en adresse ved at klikke p den.\n' +
                        'Markr flere adresser ved at holde Ctrl-tasten nede samtidig med, at du klikker\np de adresser der skal overfres til ruten.';
        
            alert(info);
        }
    }
    
    function Button_AddressRemove_OnClick()
    {
        var elementRemoved = false;
        var objAddRoute = document.getElementById('DropDownList_AddressRoute');
        
        for(var i = objAddRoute.options.length - 1; i >= 0; i--)
        {
            if(objAddRoute.options[i].selected)
            {
                objAddRoute.remove(i);
                elementRemoved = true;
            }
        }
        
        if(!elementRemoved)
        {
            var info =  'INFORMATION\n\n' +
                        'Der blev ikke fjernet nogle adresser fra ruten, idet ingen adresser var markeret.\n' +
                        'Markr en adresse ved at klikke p den.\n' +
                        'Markr flere adresser ved at holde Ctrl-tasten nede samtidig med, at du klikker\np de adresser der skal fjernes.';
        
            alert(info);        
        }
    }
    
    function Button_RouteMapListFlip_OnClick()
    {
        var obj = document.getElementById('Button_RouteMapListFlip');
    
        if(obj.value == 'Vis liste')
        {
            document.getElementById('map_canvas').style.display = 'none';
            document.getElementById('list_canvas').style.display = 'block';
        
            obj.value = 'Vis kort'; 
        }
        else
        {
            document.getElementById('list_canvas').style.display = 'none';
            document.getElementById('map_canvas').style.display = 'block';

            obj.value = 'Vis liste'; 
        }
    }
    
    function OnKeyDown(e)
    {
        if(e.keyCode == 13)
        {
            event.returnValue=false;
            event.cancel = true;
    
            Button_FetchAddresses_OnClick();
        }
    }

    </script>

</head>
<body onload="initialize(); GetDistricts(document.getElementById('DropDownList_Firm').value);" onunload="GUnload()" onmousemove="Body_OnMouseMove(event)" onmouseup="Body_OnMouseUp()">
    <form id="form1" runat="server">
    <div id="div_main" style="left: 10px; position: absolute; top: 10px; width: 910px;">

        <div id="div_image" runat="server" style="width:902px; height:96px; font-family:Verdana; font-size:8pt; background-image:url(Septic_sv.jpg);">
            
            <a id="div_progVers" runat="server" href="Version.txt" target="_blank" style="float:right; margin-top: 72px; font-size: 8pt; color: white; font-family: Verdana; text-align: right; margin-right: 4px; text-decoration:none;">Ver. x.x.x</a>
            
        </div>

        <div style="width:910px;">
        <!-- hole Page start -->

            <div class="backgroundColor" style="float:left; width:890px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; padding-right: 0px; padding-left: 10px; padding-bottom: 6px; padding-top: 4px;">
            <!-- main Page start -->

                <div id="keepFirmDisabled" runat="server" style="display:none;">1</div>

                <div style="float:left; width:450px;">
                    
                    <div class="label" style="float:left; width:50px; padding-top:8px; height: 17px;">
                        Firma:
                    </div>
                    <div style="float:left; width:398px; height: 19px; padding-top: 6px;">
                        <asp:DropDownList ID="DropDownList_Firm" runat="server" Width="390px" CssClass="dropDownList" Enabled="False" onchange="GetDistricts(document.getElementById('DropDownList_Firm').value)">
                        </asp:DropDownList>
                    </div>
                    <br style="clear:both;" />

                    <div class="label" style="float:left; width:50px; padding-top:6px; height: 17px;">
                        Distrikt:
                    </div>
                    <div style="float:left; width:398px; height: 19px; padding-top: 4px;">
                        <asp:DropDownList ID="DropDownList_District" runat="server" Width="390px" CssClass="dropDownList" onchange="GetRoutes(document.getElementById('DropDownList_District').value)">
                        </asp:DropDownList>
                    </div>
                    <br style="clear:both;" />

                    <div style="height:6px;"></div>

                    <!-- Ruter -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:34px; padding-left: 2px;">Ruter</div>
                    <div style="float:left; width:394px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:428px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">

                        <div style="float:left; width:255px; height: 15px; color:Gray; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                            Navn
                        </div>
                        <div style="float:left; width:100px; height: 15px; color:Gray; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                            Interval (uger)
                        </div>
                        <div style="float:left; width:30px; height: 15px; color:Gray; padding-left: 2px; padding-right:1px;" class="labelReadOnly">
                            Antal
                        </div>
                        <br style="clear:both;" />
                        
                        <div id="div_routes" runat="server" style="width:416px; height:344px; border-right: #7f9db9 1px solid; border-top: #7f9db9 1px solid; border-left: #7f9db9 1px solid; border-bottom: #7f9db9 1px solid; font-size: 8pt; color: black; font-family: Verdana; overflow:auto; cursor:default;">
                        </div>        

                        <div style="float:right; padding-top:10px; padding-right:10px;">
                            <input id="Button_RouteCreate" type="button" class="button" value="Opret" onclick="Button_RouteCreate_OnClick()" />
                            <input id="Button_RouteEdit" type="button" class="button" value="Redigr" onclick="Button_RouteEdit_OnClick()" />
                            <input id="Button_RouteDelete" type="button" class="button" value="Slet" onclick="Button_RouteDelete_OnClick()" />
                        </div>
                        <br style="clear:both;" />
                    
                    </div>
                
                </div>
                
                <div style="float:left;">

                    <!-- Rute -->
                    <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                    <div class="labelHead" style="float:left; width:28px; padding-left: 2px;">Rute</div>
                    <div style="float:left; width:390px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                    <br style="clear:both;" />
                    
                    <div style="width:418px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 2px; margin-bottom: 4px;">
                
                        <div id="map_canvas" style="width:406px; height:411px; border:solid 1px #7f9db9; margin-top:4px; display:block;">
                        </div>

                        <div id="list_canvas" style="width:406px; height:411px; border:solid 1px #7f9db9; margin-top:4px; display:none; overflow:auto;">
                        </div>
                        
                        <div style="float:right; padding-top:10px; padding-right:10px;">
                            <input id="Button_RouteMapListFlip" type="button" class="button" value="Vis liste" onclick="Button_RouteMapListFlip_OnClick()" />
                        </div>
                        <br style="clear:both;" />

                    </div>

                </div>

                <br style="clear:both;" />

                <div style="width:300px; color:olive; font-size: 8pt; padding-top: 4px; height: 17px;">
                    Udviklet af Geokon A/S
                </div>

            <!-- main Page end -->
            </div>

        <!-- hole Page end -->
        </div>
        
        <div id="div_connectedTo" runat="server" style="color:Silver; font-size:7pt; font-family:Arial; padding-top:2px;">
            Connected to: NOT CONNECTED
        </div>    
        
    </div>

    <!-- Dialog - Rute -->

    <div id="dialog_route" style="border: 3px solid #bcd753; display:none; background-color:#bcd753; z-index:1; position:absolute; top:184px; left:134px; width:628px;">
        
        <div style="height: 17px;">
            <div id="dialog_route_header" style="font-weight:bold; background-color:#bcd753; color:White; height:17px; width:618px; float:left; cursor:default;" onmousedown="HelpBox_OnMouseDown(event,'dialog_route')">&nbsp;Opret Rute</div>
            <div style="font-weight:bold; height:17px; color:White; background-color:#bcd753; float:left; cursor:default;" onclick="CloseWindow('dialog_route');">X</div>
        </div>      
        
        <div class="backgroundColor" style="width:616px; border-right: gray 1px solid; border-left: gray 1px solid; border-bottom: gray 1px solid; border-top: gray 1px solid; padding-right: 0px; padding-left: 10px; padding-bottom: 8px; padding-top: 4px;">

            <!-- Rute -->
            <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
            <div class="labelHead" style="float:left; width:30px; padding-left: 2px;">Rute</div>
            <div style="float:left; width:564px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
            <br style="clear:both;" />
            
            <div style="width:594px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">

                <div style="float:left; width:44px; padding-top:3px; height:18px" class="label">
                    Navn:
                </div>
                <div style="float:left; width:262px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_RouteName" runat="server" CssClass="textBox" Width="229px" BackColor="#E0ECFF" MaxLength="60"></asp:TextBox></div>
                <div style="float:left; width:100px; padding-top:4px; height:17px" class="label">
                    Interval (uger):
                </div>
                <div style="float:left; width:50px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_WeekBegin" runat="server" CssClass="dropDownList" Width="42px"></asp:DropDownList>
                </div>
                <div style="float:left; width:13px; padding-top:4px; height:17px" class="label">
                    -
                </div>
                <div style="float:left; width:42px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_WeekEnd" runat="server" CssClass="dropDownList" width="42px"></asp:DropDownList>
                </div>
                <br style="clear:both;" />

            </div>

            <div style="float:left;">

                <!-- Adresser -->
                <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                <div class="labelHead" style="float:left; width:54px; padding-left: 2px;">Adresser</div>
                <div style="float:left; width:222px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                <br style="clear:both;" />
                
                <div style="width:278px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 8px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">

                    <div class="label" style="float:left; width:60px; padding-top:3px; height: 18px; padding-left:2px;">
                        Adresse:
                    </div>
                    <div style="float:left; width:158px; height: 20px; padding-top: 1px;">
                        <asp:TextBox ID="TextBox_Address" runat="server" Width="149px" CssClass="textBox" onkeydown="OnKeyDown(event)"></asp:TextBox>
                    </div>
                    <div style="float:left; width:47px; height: 21px; padding-top: 0px;">
                        <input id="Button_FetchAddresses" style="width:48px;" type="button" class="button" value="Hent" onclick="Button_FetchAddresses_OnClick()" />
                    </div>
                    <br style="clear:both;" />

                    <div style="padding-top:7px; padding-left:2px;">
                        <select id="DropDownList_Address" class="dropDownList" style="width:265px;" multiple="multiple" size="10">
                        </select>
                    </div>

                    <div style="float:left; width:20px; height: 27px; padding-top:1px;">
                        <input id="CheckBox_OnlyAddressNotInRoute" type="checkbox" class="checkBox" />
                    </div>
                    <div class="label" style="float:left; width:246px; padding-top:4px; height: 27px;">
                        Vis kun adresser der ikke allerede findes i n eller flere ruter.
                    </div>
                    <br style="clear:both;" />
                
                </div>
            
            </div>
            
            <div style="float:left; width:30px; height:170px; text-align:center;">
            
                <img src="Icons/arrowRight.png" alt="" style="width:20px; padding-top:103px;" onclick="ArrowRight_OnClick()" />
            
            </div>
            
            <div style="float:left;">
            
                <!-- Adresser i Rute -->
                <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
                <div class="labelHead" style="float:left; width:90px; padding-left: 2px;">Adresser i Rute</div>
                <div style="float:left; width:186px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
                <br style="clear:both;" />
                
                <div style="width:276px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left: 10px; padding-bottom: 10px; padding-top: 4px; margin-bottom: 4px;">

                    <div style="padding-top:2px;">
                        <select id="DropDownList_AddressRoute" class="dropDownList" style="width:265px;" multiple="multiple" size="12">
                        </select>
                    </div>

                    <div style="float:right; padding-top:10px; padding-right:10px;">
                        <input id="Button_AddressRemove" type="button" class="button" value="Fjern" onclick="Button_AddressRemove_OnClick()" />
                    </div>
                    <br style="clear:both;" />
                
                </div>
            </div>
            <br style="clear:both;" />

            <div style="float:right; height:21px; padding-top:5px; padding-right:9px;">
                <input id="Button_RouteEditSave" type="button" class="button" value="Gem" onclick="Button_RouteEditSave_OnClick()" />
                <input id="Button_RouteEditCancel" type="button" class="button" value="Annullr" onclick="CloseWindow('dialog_route');" />
            </div>
            <br style="clear:both;" />
            
       </div>

    </div>

    <div id="div_wait" style="display:none; position:absolute; top:0px; left:0px; z-index: 1;">
        <img alt="" src="wait.gif" />
    </div>
    
    </form>
</body>
</html>
