<%@ page language="C#" autoeventwireup="true" inherits="TankInfo, App_Web_kj893aaw" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Tankoplysninger</title>
    <link rel="stylesheet" type="text/css" href="styleSheet.css" />

    <script language="javascript" type="text/javascript" src="JScript/JScriptMain_v116.js"></script>
    <script language="javascript" type="text/javascript" src="JScript/JScriptWait_v116.js"></script>

    <script language="javascript" type="text/javascript">
    
    //MAP

    var map;
    var site_latlng;
    var tank_latlng;
    var otherTank_latlng = new Array();
    
    function TransferPoint(lat, lng)
    {
        var floatLat = parseFloat(lat).toFixed(6);
        var floatLng = parseFloat(lng).toFixed(6);
    
        document.getElementById('TextBox_TankLat').value = floatLat.toString().replace('.', ',');
        document.getElementById('TextBox_TankLng').value = floatLng.toString().replace('.', ',');
        
        document.getElementById('div_tankNoCoordinates').style.display = 'none';
    }
    
    function initialize()
    {
        if (GBrowserIsCompatible())
        {
            //Icons
            var iconPathArray = new Array();
            iconPathArray[0] = 'Icons/house.png';
            iconPathArray[1] = 'Icons/tank.png';
            iconPathArray[2] = 'Icons/tankOther.png';

            var markerArray = new Array();

            for(var i = 0; i < iconPathArray.length; i++)
            {
                var myGIcon = new GIcon(G_DEFAULT_ICON);
                myGIcon.image = iconPathArray[i];
                markerArray[i] = { icon:myGIcon };
            }
            
            //Create marker
            function createMarker(latlng, number, marker)
            {
                var marker = new GMarker(latlng, marker);
                marker.value = number;
                return marker;
            }

            var site_lat = document.getElementById('HiddenField_SiteLat').value;
            var site_lng = document.getElementById('HiddenField_SiteLng').value;
            
            var tank_lat = document.getElementById('TextBox_TankLat').value.replace(',', '.');
            var tank_lng = document.getElementById('TextBox_TankLng').value.replace(',', '.');
            
            //Map
            map = new GMap2(document.getElementById("map_canvas"));
            map.setCenter(new GLatLng(site_lat, site_lng), 17);
            map.setUIToDefault();
            map.removeMapType(G_NORMAL_MAP);
            map.removeMapType(G_SATELLITE_MAP);
            map.addMapType(G_SATELLITE_MAP);
            map.addMapType(G_NORMAL_MAP);
            //map.addControl(new GMapTypeControl());

            //Show site icon
            site_latlng = new GLatLng(site_lat, site_lng);
            map.addOverlay(createMarker(site_latlng, 'site', markerArray[0]));

            //Show other tanks if coordinates exists
            var otherTank = document.getElementById('HiddenField_OtherTankLngLat').value.split('$');
            for(var i = 0; i < otherTank[0]; i++)
            {
                var otherTankLatLng = otherTank[i + 1].split('');
                otherTank_latlng[i] = new GLatLng(otherTankLatLng[1], otherTankLatLng[0]);
                map.addOverlay(createMarker(otherTank_latlng[i], 'otherTank', markerArray[2]));
            }
            
            //Show tank icon if tank coordinats exists
            if((tank_lat.length > 0) && (tank_lng.length > 0))
            {
                tank_latlng = new GLatLng(tank_lat, tank_lng);
                map.addOverlay(createMarker(tank_latlng, 'tank', markerArray[1]));
                document.getElementById('div_tankNoCoordinates').style.display = 'none';
            }
            
            //Click event
            GEvent.addListener(map, "click", function(overlay, tank_latlng)
            {
                if (tank_latlng)
                {
                    map.clearOverlays();
                    map.addOverlay(createMarker(site_latlng, 'site', markerArray[0]));

                    for(var j = 0; j < otherTank_latlng.length; j++)
                    {
                        map.addOverlay(createMarker(otherTank_latlng[j], 'otherTank', markerArray[2]));
                    }

                    map.addOverlay(createMarker(tank_latlng, 'tank', markerArray[1]));
            
                    TransferPoint(tank_latlng.lat(), tank_latlng.lng());
                }
            });
        }
    }


    //Callback
    var callbackSend = 0;

    function GetSaveTank(arguments)
    {
        if(callbackSend == 0)
        {
            callbackSend = 1;
            DisplayWait(1);

            var Command = "GetSaveTank:" + arguments;
            var context = new Object();
            context.CommandName = "GetSaveTank";
            WebForm_DoCallback('__Page',Command,CallBackHandler,context,OnError,false)
        }    
    }
    
    function SetSaveTank(result)
    {
        alert(result);
    }

    function CallBackHandler(result, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
    
        switch(context.CommandName)
        {
            case "GetCallBackTest": SetCallBackTest(result); break;
            case "GetSaveTank": SetSaveTank(result); break;
        }
    }

    function OnError(message, context) 
    {
        callbackSend = 0;
        DisplayWait(0);
        alert("Exception :\n" + message);
    }



    //Other functions
    
    var centerMap = true;
    
    function CenterMap()
    {
        if(centerMap)
        {
            map.panTo(site_latlng);
            centerMap = false;
        }
    }
    
    function Button_SaveTank_OnClick()
    {
        var manufactor      = document.getElementById('TextBox_TankManufactor').value;
        var collectSettle   = document.getElementById('DropDownList_TankCollectSettle').value;
        var tanktype        = document.getElementById('DropDownList_TankTanktype').value;
        var formationYear   = document.getElementById('TextBox_TankFormationYear').value;
        var diameter        = document.getElementById('TextBox_TankDiameter').value;
        var depth           = document.getElementById('TextBox_TankDepth').value;
        var volume          = document.getElementById('TextBox_TankVolume').value;
        var lng             = document.getElementById('TextBox_TankLng').value;
        var lat             = document.getElementById('TextBox_TankLat').value;
        var comments        = document.getElementById('TextBox_TankComments').value;

        var readyToSave = true;
        var message = 'Flgende oplysninger mangler eller er ikke valide:';

        if((formationYear.length > 0) && ((!IsInteger(formationYear)) || (formationYear.length < 4)))
        {
            message += '\n* Etableringsr skal vre et heltal strre end 1000';
            readyToSave = false;
        }
        
        if((diameter.length > 0) && ((!IsDouble(diameter)) || (parseFloat(diameter.replace(',', '.')) > 99.99)))
        {
            message += '\n* Diameter skal vre et tal med , (komma) som desimaltegn og max 99,99. Fx. 10,2';
            readyToSave = false;
        }
        
        if((depth.length > 0) && ((!IsDouble(depth)) || (parseFloat(depth.replace(',', '.')) > 99.99)))
        {
            message += '\n* Dybde skal vre et tal med , (komma) som desimaltegn og max 99,99. Fx. 10,2';
            readyToSave = false;
        }
        
        if((!IsDouble(volume)) || (parseFloat(volume.replace(',', '.')) > 999999.99))
        {
            message += '\n* Volumen skal vre et tal med , (komma) som desimaltegn og max 999999,99. Fx. 10,2';
            readyToSave = false;
        }
        
        if(comments.length > 255)
        {
            message += '\n* Bemrkning m ikke vre p mere end 255 tegn';
            readyToSave = false;
        }
        
        if(!readyToSave)
        {
            alert(message);
            return;
        }
        
        var arguments = manufactor + '\t' + collectSettle + '\t' + tanktype + '\t' + formationYear + '\t' + diameter + '\t' + depth + '\t' + volume + '\t' + lng + '\t' + lat + '\t' + comments;
        GetSaveTank(arguments);
    }    
    
    </script>

</head>
<body class="iFrameBody" onload="initialize();" onunload="GUnload();" onmouseover="CenterMap()">
    <form id="form1" runat="server">

    <div id="div_main" style="position:absolute; top:0px; left:0px;">

        <!-- Tankoplysninger -->
        <div style="float:left; width:8px; margin-top:6px; border-top: black 1px solid; border-left: black 1px solid; height: 6px;"></div>
        <div class="labelHead" style="float:left; width:96px; padding-left: 2px;">Tankoplysninger</div>
        <div style="float:left; width:750px; border-right: black 1px solid; border-top: black 1px solid; margin-top: 6px; height: 6px;"></div>
        <br style="clear:both;" />
        
        <div style="width:846px; height:324px; border-right: black 1px solid; border-left: black 1px solid; border-bottom: black 1px solid; padding-left:10px; padding-top:4px;">
        
            <div style="float:left; width:558px;">

                <div id="map_canvas" style="width:546px; height:280px; border:solid 1px #7f9db9; margin-top:2px;">
                </div>
                
                <div id="div_tankNoCoordinates" style="color:Red; height:18px; padding-top:3px; display:block;">
                    Tanken er ikke blevet koordinatsat! Klik p kortet for at angive placering.
                </div>
            
            </div>
            <div style="float:left; width:286px;">
    
                <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                    Producent:
                </div>
                <div style="float:left; width:200px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_TankManufactor" runat="server" Width="190px" CssClass="textBox" MaxLength="40" TabIndex="3"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                    Ordningstype:
                </div>
                <div style="float:left; width:200px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_TankCollectSettle" runat="server" CssClass="dropDownList" Width="194px" TabIndex="4"></asp:DropDownList>
                </div>
                <br style="clear:both;" />
                
                <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                    Tanktype:
                </div>
                <div style="float:left; width:200px; height:19px; padding-top:2px;">
                    <asp:DropDownList ID="DropDownList_TankTanktype" runat="server" CssClass="dropDownList" Width="194px" TabIndex="4"></asp:DropDownList>
                </div>
                <br style="clear:both;" />

                <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                    Etableringsr:
                </div>
                <div style="float:left; width:200px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_TankFormationYear" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="4" TabIndex="5"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div style="height:6px;"></div>

                <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                    Diameter:
                </div>
                <div style="float:left; width:60px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_TankDiameter" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="5" TabIndex="6"></asp:TextBox>
                </div>
                <div class="label" style="float:left; width:140px; height:18px; padding-top:3px;">
                    meter
                </div>
                <br style="clear:both;" />

                <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                    Dybde:
                </div>
                <div style="float:left; width:60px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_TankDepth" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="5" TabIndex="7"></asp:TextBox>
                </div>
                <div class="label" style="float:left; width:140px; height:18px; padding-top:3px;">
                    meter
                </div>
                <br style="clear:both;" />

                <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                    Volumen:
                </div>
                <div style="float:left; width:60px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_TankVolume" runat="server" Width="50px" CssClass="textBoxRight" MaxLength="9" TabIndex="8"></asp:TextBox>
                </div>
                <div class="label" style="float:left; width:140px; height:18px; padding-top:3px;">
                    liter
                </div>
                <br style="clear:both;" />

                <div style="height:6px;"></div>

                <div style="float:left; width:84px; height:30px; padding-top:3px; color:Red; font-weight:bold;">
                    OBS:
                </div>
                <div class="label" style="float:left; width:200px; height:30px; padding-top:3px;">
                    Klik p kortet til venstre for at angive placeringen af tanken.
                </div>
                <br style="clear:both;" />

                <div style="height:6px;"></div>

                <!-- X -->
                <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                    Lngdegrad:
                </div>
                <div style="float:left; width:200px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_TankLng" runat="server" Width="80px" CssClass="textBoxReadOnlyRight" ReadOnly="True" TabIndex="-1"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <!-- X -->
                <div class="label" style="float:left; width:84px; height:18px; padding-top:3px;">
                    Breddegrad:
                </div>
                <div style="float:left; width:200px; height:20px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_TankLat" runat="server" Width="80px" CssClass="textBoxReadOnlyRight" ReadOnly="True" TabIndex="-1"></asp:TextBox>
                </div>
                <br style="clear:both;" />
                
                <div style="height:6px;"></div>

                <div class="label" style="float:left; width:84px; padding-top:3px; height: 35px;">
                    Bemrkning:
                </div>
                <div style="float:left; width:200px; height: 38px; padding-top:1px;">
                    <asp:TextBox ID="TextBox_TankComments" runat="server" Width="190px" CssClass="textBox" AutoCompleteType="Disabled" Height="33px" TextMode="MultiLine" TabIndex="9"></asp:TextBox>
                </div>
                <br style="clear:both;" />

                <div style="float:right; padding-top:9px; padding-right:7px;">
                    <input id="Button_SaveTank" runat="server" type="button" value="Gem" class="button" onclick="Button_SaveTank_OnClick()" />
                </div>
                <br style="clear:both;" />

            </div>
            <br style="clear:both;" />
        
        </div>

    </div>
    
    <div id="div_wait" style="display:none; position:absolute; top:0px; left:0px; z-index: 1;">
        <img alt="" src="wait.gif" />
    </div>

    <asp:HiddenField ID="HiddenField_SiteLat" runat="server" />
    <asp:HiddenField ID="HiddenField_SiteLng" runat="server" />

    <asp:HiddenField ID="HiddenField_OtherTankLngLat" runat="server" />
    
    </form>
</body>
</html>
